
0.7.1.1
~~~~~~~


1633 Sep 19 14:27:45 2007 .. Added tag 0.7.1.1 for changeset 8e5dc3ee8028

1632 Sep 19 14:06:57 2007 .. it's 0.7.1.1

1631 Sep 19 14:06:34 2007 .. fix udp

1630 Aug 16 04:50:49 2007 .. silence hg and svn detection code

1629 Aug 16 04:21:09 2007 .. update changelog


0.7.1
~~~~~


1628 Aug 16 04:19:43 2007 .. Added tag 0.7.1 for changeset 0c80afc9b7ca

1627 Aug 16 03:54:14 2007 .. its 0.7.1

1626 Aug 15 20:42:32 2007 .. make strippedtxt utf-8 friendly .. use it in rss/collective/udp .. only install basefile in install-plug

1625 Aug 09 05:51:22 2007 .. fix \n escaping bug

1624 Aug 09 00:55:28 2007 .. up version

1623 Aug 02 22:56:26 2007 .. fix encrypted udp .. add ipv6 udp .. wrap update/upgrade in try except

1622 Jul 04 01:06:43 2007 .. update changelog


0.7
~~~


1621 Jul 04 01:05:47 2007 .. Added tag 0.7 for changeset 607f4e531ead

1620 Jul 04 01:04:03 2007 .. add plugins docs

1619 Jul 03 00:36:16 2007 .. fixed bug #1

1618 Jul 02 22:43:37 2007 .. put version at 0.7

1617 Jul 02 22:32:32 2007 .. remove debug print

1616 Jul 02 17:21:06 2007 .. add note about blog.gozerbot.org

1615 Jul 02 10:39:56 2007 .. catch more exceptions in popcon plugin

1614 Jul 02 09:51:09 2007 .. remove alert plugin

1613 Jul 01 21:47:48 2007 .. give reply if we parted a channel

1612 Jul 01 21:34:36 2007 .. use ievent.rest in part command

1611 Jul 01 20:33:10 2007 .. use result list in jabbermsg.reply when queue is set

1610 Jul 01 14:10:20 2007 .. set bot.nick when random nick is used

1609 Jul 01 01:22:18 2007 .. update LICENSE to reflect the individual files copyright

1608 Jun 30 00:44:28 2007 .. wrap try except around bot.sendraw

1607 Jun 29 18:32:37 2007 .. shutdown socket before reconnect

1606 Jun 29 18:19:24 2007 .. save nick changes on mainbot to config

1605 Jun 29 17:50:18 2007 .. fix eventhandlers restarting .. shutdown bot on exit .. change fleet nick data

1604 Jun 29 03:04:55 2007 .. give response if nick is properly set

1603 Jun 29 02:58:45 2007 .. update changelog


0.7-RC2
~~~~~~~


1602 Jun 29 02:57:58 2007 .. Added tag 0.7-RC2 for changeset 28023b8d3336

1601 Jun 29 02:57:50 2007 .. move up to 0.7-RC2

1600 Jun 29 01:55:23 2007 .. add links to README

1599 Jun 29 01:28:56 2007 .. check changes in config['nick']

1598 Jun 29 00:16:37 2007 .. make dcctest work

1597 Jun 28 22:14:23 2007 .. make note that nick config var is only used when no nick is set .. otherwise

1596 Jun 28 21:02:28 2007 .. moved job-at to at plugin, added some enhancements

1595 Jun 28 02:59:11 2007 .. properly report if we joined a channel

1594 Jun 28 01:53:02 2007 .. store nick in bot.state

1593 Jun 28 00:18:10 2007 .. update UPGRADE doc

1592 Jun 27 04:11:11 2007 .. don't do a sleep in udp messages to a jabber bot .. update doc/UDP

1591 Jun 27 04:01:35 2007 .. update to 0.7-RC1


0.7-RC1
~~~~~~~


1590 Jun 27 03:59:02 2007 .. Added tag 0.7-RC1 for changeset 070f61607e22

1589 Jun 27 03:55:42 2007 .. add persiststate module

1588 Jun 27 01:38:22 2007 .. check if bot can be found

1587 Jun 26 21:40:51 2007 .. add __init__.py

1586 Jun 26 21:30:09 2007 .. allow udp traffic to be encrypted

1585 Jun 26 20:16:03 2007 .. cleanup README

1584 Jun 26 19:03:26 2007 .. plugins doc work

1583 Jun 25 22:44:14 2007 .. use proper name in license

1582 Jun 25 18:47:47 2007 .. pyflake

1581 Jun 25 15:46:21 2007 .. gendoc related stuff

1580 Jun 22 15:55:59 2007 .. fix list output

1579 Jun 22 15:51:27 2007 .. use decode() in todefenc

1578 Jun 22 04:23:18 2007 .. tune gendoc

1577 Jun 21 08:15:19 2007 .. remove trbs .deb site from source command now that we are in testing/unstable

1576 Jun 20 22:48:14 2007 .. simplify infoitem's item added message

1575 Jun 20 14:14:43 2007 .. update gendoc

1572 Jun 18 18:06:20 2007 .. gendoc plugin documentation generator

1569 Jun 19 01:07:49 2007 .. add server command thats show the server the bot is connected to

1568 Jun 19 00:24:58 2007 .. add missing IndexError

1567 Jun 18 19:51:13 2007 .. remove shutdown code from reconnect

1566 Jun 18 11:34:21 2007 .. update bin/gozerbot

1565 Jun 17 20:12:42 2007 .. add halt en exit aliases

1564 Jun 17 18:00:39 2007 .. make sure that only users with OPER permission can merge with other OPER users

1563 Jun 17 17:28:18 2007 .. let users with MEET permission also be able to merge users

1562 Jun 17 17:18:47 2007 .. detect the presence of gpg in install-plug command

1561 Jun 16 14:36:45 2007 .. make sure shop item number gets through grep as well

1560 Jun 16 14:32:41 2007 .. use ievent.missing

1559 Jun 16 14:29:29 2007 .. make commands command show commands of plugin instead of permission

1558 Jun 16 12:19:25 2007 .. fix onjoinremove example im markov.py

1557 Jun 16 08:57:51 2007 .. lock commands adding/removing

1556 Jun 16 08:46:39 2007 .. add jabberstrip .. also strips chr(1) use in IRC ctcp

1555 Jun 16 08:27:54 2007 .. catch Exception instead of just IOError

1554 Jun 16 00:40:14 2007 .. add umask config var used for setting gozerdata dir permissions

1553 Jun 16 00:21:12 2007 .. strip ievent.txt if its a command .. add an ievent.aliased and use this in ievent.reply .. make snarf plugin work in jabber

1552 Jun 14 20:38:47 2007 .. exception can be TypeError too

1551 Jun 14 20:29:21 2007 .. add infoitem test

1550 Jun 14 17:22:00 2007 .. its KeyError not IndexError

1549 Jun 14 08:44:40 2007 .. pylint last part

1548 Jun 13 18:02:42 2007 .. check if gozerdata dir exists

1547 Jun 13 17:58:33 2007 .. set bot.stopped=0 on reconnect

1546 Jun 13 16:00:19 2007 .. plugins pylint part 2

1545 Jun 13 09:26:25 2007 .. rename db.type to db.dbtype

1544 Jun 12 20:46:54 2007 .. plugins pylint phase 1

1543 Jun 12 13:09:33 2007 .. gozerbot package pylint scan

1542 Jun 12 00:31:10 2007 .. move changepermissions into generic.py and make a option to disable it

1541 Jun 12 00:00:39 2007 .. set umode of the gozerdata dir to 750

1540 Jun 11 21:47:44 2007 .. remove deny and allow aliases .. use global declaration in popcon-enable

1539 Jun 11 21:17:34 2007 .. implment first search plug function in db version

1538 Jun 11 20:36:57 2007 .. add search plugin

1537 Jun 11 20:36:30 2007 .. put checking of periodical at loglevel -1 .. first try at a bot global

1535 Jun 10 20:31:12 2007 .. changed periodical implementation, changed popcon url

1534 Jun 10 20:10:23 2007 .. remove debug print

1533 Jun 10 15:52:16 2007 .. use try/except in bot.joinchannels

1532 Jun 10 15:24:32 2007 .. added periodical job scheduler

1531 Jun 10 13:45:14 2007 .. added popcon-url for direct url to your bot's entry

1530 Jun 10 01:21:20 2007 .. added "popularity contest" plugin

1529 Jun 10 00:27:31 2007 .. add denied attribute

1528 Jun 10 00:18:49 2007 .. properly initialize parameters

1527 Jun 10 00:15:25 2007 .. put ipv6 flag earlier on in fleet-addirc

1526 Jun 09 23:45:20 2007 .. update bin/gozerbot

1525 Jun 09 12:18:33 2007 .. add mainbotname config var .. add fleet.getmainbot() .. don't delete irc main bot if jabber is enabled later on

1524 Jun 08 22:01:31 2007 .. check content-type in stead of file extension

1523 Jun 08 21:10:42 2007 .. make note about adding udpdblog = 1 to config file

1522 Jun 08 21:09:14 2007 .. implement a database udplogger

1521 Jun 07 22:15:47 2007 .. update changelog


0.7-BETA
~~~~~~~~


1520 Jun 07 21:41:22 2007 .. Added tag 0.7-BETA for changeset ceaee2af4471

1519 Jun 07 21:41:07 2007 .. up version

1518 Jun 07 15:40:11 2007 .. wait longer for mail input

1517 Jun 03 18:03:19 2007 .. prevent collective to recurse

1516 Jun 03 14:08:26 2007 .. only list a command once in help <plugin>

1515 Jun 03 13:05:01 2007 .. added tinyurl and umode plugin, minor bugfix in nickserv identify command

1514 Jun 03 09:38:23 2007 .. only install plug once

1513 Jun 02 22:12:36 2007 .. sort install-list result

1512 Jun 02 21:57:41 2007 .. make install-plug/list scan all available sites for plugins

1511 Jun 02 19:16:51 2007 .. fix typo

1510 Jun 02 18:30:46 2007 .. don't allow record nr 0 to be deleted from database todo

1509 Jun 01 16:49:30 2007 .. remove tabs

1508 Jun 01 16:39:22 2007 .. use bot.server in relay join message

1507 Jun 01 15:06:27 2007 .. changed lag metering, now using PING in stead of ISON

1506 Jun 01 11:05:48 2007 .. add missing time import

1505 May 31 23:17:04 2007 .. delay lag loop until fleet is started

1504 May 29 21:52:04 2007 .. do a better try at fleet-del

1503 May 29 10:35:21 2007 .. added plugin for authentication through services

1502 May 29 09:46:05 2007 .. fix ircevent.txt generation in pure CMND case (not starting with ':')

1501 May 28 21:57:27 2007 .. add reverse plugin thnx to Knorrie

1500 May 28 21:20:13 2007 .. add jidchange field to ircevent object

1499 May 28 19:07:36 2007 .. set ircevent.txt properly in the non : cmnd case .. add log-time

1498 May 28 11:05:59 2007 .. add maxitems argument to waitforqueue

1497 May 26 21:11:08 2007 .. fix no result response in wikipedia plugin .. add more tests

1496 May 26 11:02:02 2007 .. fix good/bad karma output

1495 May 25 16:09:04 2007 .. skip non PRIVMSG ievent and usercommands in mono

1494 May 24 23:00:16 2007 .. fix ievent.missing reply in /msg

1493 May 23 11:39:04 2007 .. added hg-log

1492 May 21 17:01:57 2007 .. fix url.README grabbing in install.py

1491 May 20 23:14:27 2007 .. do proper exception reporting in install.py

1490 May 20 17:45:10 2007 .. put udp allowed log message at loglevel 0

1489 May 20 17:08:01 2007 .. add txt to update help indicating update does NOT reboot the bot

1488 May 20 16:26:39 2007 .. add txt to loglevel help explaining that the lower loglevel is the more get logged

1487 May 20 01:14:33 2007 .. don't allow queues in topic-set

1486 May 20 00:12:12 2007 .. make changelog more ReST compatible

1485 May 18 19:06:47 2007 .. show channel on which user is last seen

1484 May 18 14:22:53 2007 .. check if gpg is installed

1483 May 18 13:53:56 2007 .. make note of gnupg dependancy needed to install remote plugins

1482 May 18 13:35:25 2007 .. remove md5 sum based install

1481 May 18 13:02:59 2007 .. added pgp plugin and changed popen args from str to list

1480 May 18 00:53:38 2007 .. reverted last change

1479 May 18 00:51:56 2007 .. fixed error string

1478 May 18 00:50:32 2007 .. fixed security leak

1477 May 18 00:45:23 2007 .. removed debug code

1476 May 18 00:40:50 2007 .. added pgp verification for plugin installs

1475 May 17 23:35:57 2007 .. add mail-time which mails the log from a given time point

1474 May 16 17:19:15 2007 .. remove extra space char in karma plugins

1473 May 16 13:24:00 2007 .. up version

1472 May 16 10:57:45 2007 .. added install-update

1471 May 16 10:33:15 2007 .. add missing self

1470 May 16 10:29:13 2007 .. fix typo and cleanup old code

1469 May 16 10:22:49 2007 .. move pluglistreload into plugins module

1468 May 16 09:24:17 2007 .. check if message is of correct size in upgrade command

1467 May 16 09:15:24 2007 .. check for bot in callback

1466 May 16 09:11:19 2007 .. remove debian dir

1465 May 16 09:04:11 2007 .. fix missing handle_exception import .. fix jabber relay check

1464 May 16 08:32:05 2007 .. update changelog


0.6.4.2
~~~~~~~


1463 May 16 08:31:01 2007 .. Added tag 0.6.4.2 for changeset 16a0291a43ff

1462 May 16 08:28:22 2007 .. unzip man page

1461 May 16 01:19:42 2007 .. strip merges from changelog generation

1460 May 16 01:15:33 2007 .. properly show missing argument in install-plug

1459 May 16 01:03:30 2007 .. give chanperm response if chanperm is not set .. add exmaples entries

1458 May 15 23:54:19 2007 .. move translate to plug site .. use lists in hg cmnd building

1457 May 14 16:20:00 2007 .. check for txt argument

1456 May 13 19:53:35 2007 .. add commit in allow description about setperms to add permissions

1454 May 13 13:36:16 2007 .. fix "apro *"

1453 May 13 10:57:17 2007 .. limit lenght of jabbermsg.reply to 2000 chars .. cleanup reconnect

1452 May 13 00:26:57 2007 .. fix infoitem callbacks .. wrap handle_ievent in more try excepts

1451 May 12 22:12:25 2007 .. make toascii use defaultencoding .. fix striphtml

1450 May 12 21:49:24 2007 .. only do lag measuring on irc bots

1449 May 12 20:10:33 2007 .. use toascii on string concat

1448 May 11 19:23:49 2007 .. fixed user-agent string to reflect gozerbot

1447 May 11 18:57:56 2007 .. added encoding detection

1446 May 11 16:48:40 2007 .. add .info attribute with header information to geturl2() results

1445 May 11 16:27:59 2007 .. added decoding of html entities

1444 May 11 16:07:43 2007 .. add !infoitem callback

1443 May 11 12:15:43 2007 .. fixed Japanese, Russian and Chinese

1442 May 10 22:00:40 2007 .. added rest command

1441 May 10 20:50:44 2007 .. use sort in commands output

1440 May 10 19:47:53 2007 .. make commands list a little bit more clear

1439 May 10 15:15:08 2007 .. fixed proper url parsing

1438 May 10 11:03:32 2007 .. use result list so we can use grep etc.

1436 May 10 10:39:16 2007 .. added dns and hexip commands

1435 May 09 22:25:20 2007 .. Added signature for changeset 47324777e3b02e178d1ad67f1e303c2e223e34ab

1434 May 09 23:19:56 2007 .. add date example to alarm command

1433 May 09 23:11:22 2007 .. add rebefore override by using '!' as second control character

1432 May 09 22:49:44 2007 .. add entry about auto-op

1431 May 09 22:09:49 2007 .. added translate command

1430 May 09 22:09:29 2007 .. added posturl() and useragent()

1429 May 09 22:01:59 2007 .. provide better plugin description

1428 May 09 21:57:49 2007 .. add entry about ANON permissions and chanperm

1427 May 09 21:53:15 2007 .. sort rss-list

1426 May 09 21:48:49 2007 .. add karma-whatup/down

1425 May 09 21:19:17 2007 .. nit

1424 May 09 21:18:24 2007 .. add install-sites command

1423 May 09 21:08:38 2007 .. allow pluginserver argument to install-list

1422 May 09 21:02:10 2007 .. restore ANONKARMA

1419 May 09 19:59:51 2007 .. added hg-annotate command

1418 May 09 19:48:38 2007 .. added HG version check

1417 May 09 17:07:04 2007 .. fixed url regexp

1416 May 09 19:48:13 2007 .. check if path attribute is available in HTTPRequest

1415 May 09 19:33:48 2007 .. add ANONKARMA to dbplugs/karma.py

1414 May 07 16:53:25 2007 .. added hg-changes command

1413 May 06 22:38:00 2007 .. fix number of items txt

1412 May 06 20:44:47 2007 .. add cchar function

1411 May 06 17:27:26 2007 .. bugfix

1410 May 06 16:07:02 2007 .. added plugin for hg related information

1409 May 06 15:44:00 2007 .. add support for defaultcc

1408 May 06 15:36:38 2007 .. added url title snarfer and -validator

1407 May 06 15:28:34 2007 .. add defaultcc to jabberbot

1406 May 06 15:15:52 2007 .. add default control character config var

1405 May 06 12:31:49 2007 .. check if webserver is running

1404 May 06 10:04:00 2007 .. add enable/disable webhandler .. add showplug option

1403 May 06 02:54:48 2007 .. use <a href="/karma"> etc

1402 May 06 02:40:55 2007 .. made webserver valid HTML 4.01

1401 May 06 02:23:03 2007 .. added fix for lag check on connect time

1400 May 06 02:16:22 2007 .. fixed on connect time lag check

1399 May 06 02:06:45 2007 .. wait for fleet init

1398 May 06 01:56:07 2007 .. add lag plugin thnx to tehmaze

1397 May 05 10:12:55 2007 .. move 'quote' command back in place

1396 May 03 20:22:38 2007 .. add tests .. don't lower the result in grep -i case

1394 May 01 22:23:41 2007 .. move karna back to rebefore .. give timeout to plugload wait .. up version

1393 Apr 30 14:40:49 2007 .. don't lower nick

1392 Apr 30 12:20:50 2007 .. update changelog


0.6.4.1
~~~~~~~


1391 Apr 30 12:17:38 2007 .. Added tag 0.6.4.1 for changeset fa897bc69814

1390 Apr 29 22:32:41 2007 .. keep joined MUC list in relay .. remove jid from cache if user leaves MUC

1389 Apr 28 23:50:51 2007 .. disable channel keepalive for now

1388 Apr 28 20:56:08 2007 .. fix meet in jabber when bot is admin/owner .. don't relay privmsg in jabber

1386 Apr 28 10:04:23 2007 .. detect JID without using a RE .. enable cycle in jabber bots

1385 Apr 27 21:00:26 2007 .. allow tell command only in channels

1384 Apr 27 13:56:32 2007 .. use self.me in presence.to test

1382 Apr 27 13:39:26 2007 .. remove channel jids when leaving the channel .. set proper nick on jabberpresence

1381 Apr 26 20:58:41 2007 .. properly set jabbermsg.nick

1380 Apr 26 18:26:12 2007 .. enable true user JID being used if bot has admin affiliation

1379 Apr 26 14:16:21 2007 .. add comment about the python-xmpp package on debian

1378 Apr 26 11:25:05 2007 .. make sure test_fleet runs clean .. remove net tests from standard tests

1377 Apr 26 10:41:31 2007 .. add tests .. add space to allowed chars in strippedtxt .. fix ircevent.missing

1376 Apr 22 22:43:33 2007 .. pass on the ipv6 config var to connect()

1375 Apr 22 17:04:02 2007 .. use channel not ievent.channel

1374 Apr 22 16:50:30 2007 .. remove leftover :

1373 Apr 19 22:22:51 2007 .. add webtest.py .. sleep less in webserver loop

1372 Apr 19 21:58:38 2007 .. add net section to dotest.py

1371 Apr 19 21:08:38 2007 .. don't remove nick from userchannels, the callbacks need it

1370 Apr 19 17:37:23 2007 .. move database support text to end of README

1369 Apr 18 16:44:00 2007 .. use q as quote command so that !quote <nr>++ works

1368 Apr 17 13:01:13 2007 .. check if we are already watching a rssitem

1367 Apr 17 09:32:42 2007 .. do flood protection

1366 Apr 13 21:35:28 2007 .. prevent chanperms to be used in /msg

1365 Apr 13 18:38:31 2007 .. added ANONKARMA and ANONQUOTE permissions for channel wide karma and quote permissions

1364 Apr 12 01:13:15 2007 .. same for --

1363 Apr 12 00:24:28 2007 .. move karma ++ commands before infoitem's question

1362 Apr 11 23:57:21 2007 .. up version

1361 Apr 11 23:56:55 2007 .. we support different databases .. say so in the config file

1360 Apr 11 08:48:07 2007 .. sleep less in log loop

1359 Apr 11 00:19:42 2007 .. prevent wiki from slurping 100% cpu .. a re is borked .. remove it for now

1358 Apr 10 13:09:26 2007 .. sleep less in log loop

1357 Apr 10 11:17:12 2007 .. add makechangelog

1356 Apr 10 08:10:31 2007 .. add doc/changelog


0.6.4
~~~~~


1355 Apr 10 07:33:38 2007 .. Added tag 0.6.4 for changeset 1c4a50fc6aa5

1354 Apr 10 07:23:11 2007 .. bump version number

1353 Apr 09 22:03:32 2007 .. check if item is already in rss list

1352 Apr 09 21:14:30 2007 .. add dots

1351 Apr 09 21:05:23 2007 .. fix rss-itemslist

1350 Apr 08 00:41:58 2007 .. improved detecting nickname for response

1348 Apr 07 19:15:57 2007 .. new debian package


0.6.3.7
~~~~~~~


1347 Apr 07 16:29:38 2007 .. Added tag 0.6.3.7 for changeset c3a3940d9b6a

1346 Apr 07 13:14:59 2007 .. fix && deadlock

1345 Apr 06 21:57:38 2007 .. fix output string

1344 Apr 06 01:14:15 2007 .. fix rss-get output

1343 Apr 06 00:31:13 2007 .. new incremental release to fix jabber

1342 Apr 06 00:21:18 2007 .. up version

1341 Apr 06 00:20:51 2007 .. fix list replying in jabber

1340 Apr 05 01:25:23 2007 .. new debian package

1339 Apr 05 00:57:58 2007 .. check if arguments for send exist

1338 Apr 05 00:50:09 2007 .. check if arguments of send exist

1337 Apr 05 00:35:05 2007 .. fix strippedtxt

1336 Apr 05 00:22:59 2007 .. use strippedtxt

1335 Apr 05 00:11:08 2007 .. add toascii to todcc

1334 Apr 04 23:40:39 2007 .. strip \n from udp txt

1333 Apr 03 17:21:58 2007 .. more fix

1332 Apr 03 17:19:49 2007 .. fix

1331 Apr 03 16:45:55 2007 .. revert :exec stuff .. don't know how to prevent loop

1330 Apr 03 16:44:48 2007 .. revert test

1329 Apr 03 16:01:01 2007 .. add :exec capabiltiy to the bot .. this allow one to trigger commands upon a given infoitem question

1328 Apr 03 11:50:00 2007 .. make active work in jabber

1327 Apr 02 21:25:39 2007 .. fix !channels bug

1326 Apr 02 21:19:32 2007 .. add channel option to active command

1325 Apr 01 00:18:32 2007 .. beatify reponses .. make sure test_user is clean

1324 Mar 31 22:11:13 2007 .. add some description txt

1323 Mar 31 21:00:42 2007 .. allow a seperator to be passed on to ievent.reply

1322 Mar 31 17:39:18 2007 .. lock on plugins.trydispatch .. add time.sleeps .. fix loop in dbquote when

1321 Mar 30 02:07:07 2007 .. remove cmnd catchall

1320 Mar 30 01:43:34 2007 .. remove debug print

1319 Mar 30 01:18:33 2007 .. fix

1318 Mar 30 01:15:12 2007 .. enable question to be asked by doing !item

1317 Mar 30 00:42:08 2007 .. fix

1316 Mar 30 00:38:31 2007 .. update markov .. instead of generating 1 response make 20 responses and choose from that .. add channel to learnlist when enabled .. remove silent option

1315 Mar 29 22:42:54 2007 .. add event-adduser .. with this opers can add nicks to events

1314 Mar 29 22:38:17 2007 .. it's knowN

1313 Mar 29 22:37:30 2007 .. make clear its owneruserhost permission thats needed

1312 Mar 28 12:43:18 2007 .. order on indx ASC

1311 Mar 28 05:59:09 2007 .. up version

1310 Mar 27 22:36:15 2007 .. its files/pickletodb.py

1308 Mar 27 22:20:04 2007 .. fixed debian/control

1306 Mar 27 22:18:30 2007 .. its files/pickletodb.py

1305 Mar 27 15:12:13 2007 .. use "" around instructions in !source

1304 Mar 27 15:05:38 2007 .. properly check if rss feed is already being watched

1303 Mar 27 01:15:21 2007 .. allow list of permissions for cmnds.list() .. default !commands to the users permissions

1302 Mar 27 00:57:50 2007 .. set the speed of chanperm allowed commands to 1

1301 Mar 27 00:38:41 2007 .. return ANON perm if user doesn't exist

1300 Mar 27 00:27:13 2007 .. more ANON permissions added

1299 Mar 26 22:45:04 2007 .. add permoverload example

1298 Mar 26 21:44:09 2007 .. send generic unavailable presence

1297 Mar 26 21:31:49 2007 .. send unavailable presence to channels when exiting

1296 Mar 26 21:26:10 2007 .. over to test

1295 Mar 26 20:10:37 2007 .. add ANON permission to commands .. those are read only .. add whatperms

1294 Mar 26 18:16:56 2007 .. add printo to alarmitem so we can use the nick in the txt message

1293 Mar 25 22:57:13 2007 .. install files/postgres_db

1292 Mar 25 21:54:01 2007 .. add tell .. enable action on jabber bots

1291 Mar 24 22:16:56 2007 .. change r8.cg.nu to gozerbot.org in config file .. add comment about the debian package in !source

1290 Mar 24 16:26:25 2007 .. use chr() in stripbold

1289 Mar 24 16:23:49 2007 .. use stripbold in jabbermsg.reply()

1288 Mar 24 14:27:15 2007 .. use ievent.stripped in owner check

1287 Mar 24 12:33:43 2007 .. make rss-get USER perm

1286 Mar 24 12:29:07 2007 .. make dbplugs/user.py pass the unittest

1285 Mar 24 06:31:57 2007 .. allow remind in jabber

1284 Mar 23 23:52:22 2007 .. add nick, command parsing to jabberbot

1283 Mar 23 20:06:11 2007 .. make !source point to gozerbot.org .. add about alias

1282 Mar 23 19:35:15 2007 .. don't forget dbplugs/karma.py

1281 Mar 23 19:33:17 2007 .. move karma to reafter

1280 Mar 22 22:56:05 2007 .. add note about direct messaging the bot for owner access

1279 Mar 22 14:51:14 2007 .. also use node.CDATA_SECTION_NODE nodes

1278 Mar 22 14:28:32 2007 .. fix typo .. add entry about using a irc bot in the fleet

1277 Mar 22 14:00:36 2007 .. make note about utf-8 and the need for mysql5

1276 Mar 21 20:50:46 2007 .. finish test_user

1275 Mar 21 01:18:35 2007 .. up version


0.6.3.3
~~~~~~~


1274 Mar 21 01:17:58 2007 .. Added tag 0.6.3.3 for changeset 2750d16410bf

1273 Mar 20 00:04:52 2007 .. switch back to ievent.userhost

1272 Mar 19 23:50:06 2007 .. put verbose on loglevel 2

1271 Mar 19 23:42:35 2007 .. use globalshutdown .. use stripped(userhost) to check for jabber users

1270 Mar 19 23:20:45 2007 .. use ievent.stripped in user plugin so jabber works

1269 Mar 19 23:09:09 2007 .. over to test

1268 Mar 19 20:24:48 2007 .. more user tests

1267 Mar 19 19:36:15 2007 .. add more user tests

1266 Mar 18 15:32:57 2007 .. add userhost to join relay

1265 Mar 18 14:01:32 2007 .. add comment to show that config passwd entry is for the ircd

1264 Mar 17 22:25:42 2007 .. add test_user first part

1263 Mar 17 12:25:35 2007 .. remove bogus replies .. add missing returns

1262 Mar 16 18:01:14 2007 .. remove double reply .. add nritems to output

1261 Mar 16 11:49:13 2007 .. add result (list) parameter to ircevent.reply .. fix || in collective

1260 Mar 15 10:13:48 2007 .. don't show exception in readloop

1259 Mar 15 00:23:22 2007 .. do the channel check also in dispatchtest

1258 Mar 15 00:08:40 2007 .. first check if command whould dispatch

1257 Mar 14 23:53:20 2007 .. implement wait argument to coll/coll-exec .. max wait 60 seconds in

1256 Mar 14 22:37:09 2007 .. prevent multiple connects

1255 Mar 14 09:10:08 2007 .. strip txt after removing channel txt

1254 Mar 14 09:06:08 2007 .. remove channel check

1253 Mar 14 08:25:17 2007 .. sleep even more less

1252 Mar 14 08:18:21 2007 .. sleep less

1251 Mar 14 07:46:01 2007 .. up version

1250 Mar 14 07:41:29 2007 .. incase of nooutput re-put go marker

1249 Mar 12 21:13:30 2007 .. streamline log-last

1248 Mar 10 17:53:51 2007 .. allow callbacks to be sorted

1247 Mar 10 17:30:26 2007 .. don't show join/quit if user is splitted

1246 Mar 09 23:57:26 2007 .. make pickletodb datasbase type independant

1245 Mar 09 23:39:36 2007 .. add entry about postgres

1244 Mar 09 22:12:23 2007 .. add web-cfg alias

1243 Mar 09 21:01:19 2007 .. up version

1242 Mar 09 19:08:06 2007 .. fix nooutput

1241 Mar 09 08:20:51 2007 .. faster syncnode

1240 Mar 09 08:10:16 2007 .. ignore before locking

1239 Mar 09 07:55:28 2007 .. save alias


0.6.3.1
~~~~~~~


1238 Mar 09 06:45:55 2007 .. Added tag 0.6.3.1 for changeset 3b9a073a9fdd53ecf97c7af0ca86076f8731e074

1237 Mar 09 06:22:56 2007 .. up version

1236 Mar 08 23:09:30 2007 .. add __init__

1235 Mar 08 22:42:54 2007 .. fix lists-del

1234 Mar 08 22:04:39 2007 .. add persistconfig test

1233 Mar 08 21:57:32 2007 .. fixt unicode errors; all unicode strings are forced to non-unicode strings

1232 Mar 08 21:56:26 2007 .. added data.new to ignore

1231 Mar 08 19:50:18 2007 .. add persistconfig test

1230 Mar 08 13:52:45 2007 .. check if user is None

1229 Mar 08 13:26:41 2007 .. also redirect on lower case

1228 Mar 07 23:31:32 2007 .. gozerbot deb still needs to be made

1226 Mar 07 23:29:43 2007 .. up version


0.6.3
~~~~~


1225 Mar 07 23:29:04 2007 .. Added tag 0.6.3 for changeset ec9a0dd609ba7fe49befee2514c6e9ceeaa6acd0

1224 Mar 07 16:50:19 2007 .. strip images txt

1223 Mar 07 16:34:25 2007 .. return on empty txt

1222 Mar 07 16:08:33 2007 .. properly redirect

1221 Mar 07 09:24:29 2007 .. streamline makersslist

1220 Mar 06 21:31:17 2007 .. remove debug print

1219 Mar 06 21:09:06 2007 .. remove old stuff

1218 Mar 06 21:07:21 2007 .. finetune rss-scan

1217 Mar 06 16:16:13 2007 .. use rsslist in the rss plugin

1216 Mar 05 23:35:43 2007 .. check for self.stopped before reconnect

1215 Mar 05 23:12:23 2007 .. implement redirect

1214 Mar 05 22:35:10 2007 .. don't allow queuing on timer command

1213 Mar 05 22:03:51 2007 .. add timer plugin

1212 Mar 04 21:47:53 2007 .. nits

1211 Mar 04 20:57:32 2007 .. add more tests

1210 Mar 04 19:21:23 2007 .. remove test_collective for now

1209 Mar 04 18:05:53 2007 .. cleanup

1208 Mar 04 17:56:04 2007 .. get correct rowcount

1207 Mar 04 15:45:51 2007 .. use db.commit()

1206 Mar 04 12:19:11 2007 .. remove debug prints

1205 Mar 04 09:07:54 2007 .. add postgres support

1204 Mar 03 23:23:45 2007 .. add test_core and test_convert .. remove comments from test_away ..

1203 Mar 03 19:30:41 2007 .. cleanup afterwards

1202 Mar 03 19:11:03 2007 .. add test_collective

1201 Mar 03 14:30:46 2007 .. add more tests

1200 Mar 03 11:18:47 2007 .. add test user if it doesn't exist

1199 Mar 03 11:11:43 2007 .. remove cruft

1198 Mar 03 11:09:56 2007 .. add birthday and botsnack tests

1197 Mar 03 10:12:05 2007 .. update alias test

1196 Mar 03 09:59:49 2007 .. add away test

1195 Mar 02 22:03:20 2007 .. allow alias override

1194 Mar 02 21:38:30 2007 .. removed files/setup.py superseeded by ./setup.py

1193 Mar 02 21:38:05 2007 .. added checks to alias set

1192 Mar 02 20:50:30 2007 .. add a sleep(1)

1191 Mar 02 20:43:19 2007 .. start outputhandler on bot init

1190 Mar 02 10:35:53 2007 .. add autovoice test

1189 Mar 02 09:31:34 2007 .. wait for alarm to remove itself

1188 Mar 02 09:21:44 2007 .. rename bot.getresult() to bot.test() .. add test_alias

1187 Mar 02 00:45:53 2007 .. update test_alert

1186 Mar 02 00:30:40 2007 .. implement test_alarm .. fix test_split

1185 Mar 01 22:19:59 2007 .. use ievent.origtxt in relay

1184 Mar 01 22:17:42 2007 .. fix split check

1183 Mar 01 19:26:33 2007 .. add wikipedia

1182 Mar 01 17:59:46 2007 .. little update

1181 Mar 01 17:12:14 2007 .. implement getresult what we can use in unittests

1180 Mar 01 08:30:33 2007 .. don't run the bot as root .. properly shutdown on SIGTERM

1179 Feb 28 21:10:58 2007 .. properly check for relay

1178 Feb 28 20:00:15 2007 .. over to test

1177 Feb 28 12:57:15 2007 .. remove invalid nick check

1176 Feb 28 12:22:31 2007 .. add karma count to karma-search .. fix reload of plug when database is not

1175 Feb 28 09:37:10 2007 .. use bot.me in bot.quit()

1174 Feb 28 09:31:04 2007 .. add autoreply

1173 Feb 28 09:21:05 2007 .. update README

1172 Feb 28 08:42:08 2007 .. add gozerbot-stop

1171 Feb 28 08:18:00 2007 .. install gozerbot-start

1170 Feb 28 08:08:03 2007 .. fix missing txt incase of a !cmnd .. remove debug prints

1169 Feb 28 08:00:27 2007 .. update

1168 Feb 28 07:57:52 2007 .. add udpmasks

1167 Feb 28 07:17:58 2007 .. add -v option

1166 Feb 28 06:53:41 2007 .. add time to remind

1165 Feb 28 06:27:13 2007 .. add man page and start prog

1164 Feb 28 06:23:17 2007 .. up version


0.6.2
~~~~~


1163 Feb 25 15:42:02 2007 .. Added tag 0.6.2 for changeset 8e2dc79626da00659d1d4d42b075b7bba5c22a7d

1162 Feb 25 04:26:10 2007 .. don't install docs

1161 Feb 24 23:22:29 2007 .. install docs

1160 Feb 24 21:36:28 2007 .. make log clean on loglevel 2

1159 Feb 24 21:14:45 2007 .. give beter example of using % in adduserhost

1158 Feb 24 21:10:33 2007 .. move starting of commandhandler to bot constructor

1157 Feb 24 21:05:43 2007 .. nits

1156 Feb 24 21:03:51 2007 .. up version

1155 Feb 24 18:41:07 2007 .. log send error

1154 Feb 24 18:03:59 2007 .. getlists shouldn't return result[0][0] .. should be result

1153 Feb 24 08:17:39 2007 .. forgot nick

1152 Feb 24 07:58:34 2007 .. fix topic/nick relays

1151 Feb 24 07:47:25 2007 .. add nick and topic relays

1150 Feb 24 07:33:55 2007 .. use aliasset .. add shutdown alias

1149 Feb 23 23:23:20 2007 .. fix reconnect

1148 Feb 23 14:09:06 2007 .. add dboldstyle option that converts arguments to latin-1

1147 Feb 22 21:40:51 2007 .. make note of data.new dir

1146 Feb 22 17:41:33 2007 .. drop output if outputhandler.noouput is set

1145 Feb 22 17:28:46 2007 .. add cwd to path

1144 Feb 22 17:26:42 2007 .. typo

1143 Feb 22 14:09:55 2007 .. add py-gozerbot port

1142 Feb 22 13:11:56 2007 .. update

1141 Feb 21 21:58:37 2007 .. fix

1140 Feb 21 18:56:04 2007 .. enlarge waitforqueue timeout

1139 Feb 21 18:39:59 2007 .. over to test

1138 Feb 21 18:27:16 2007 .. add missing return

1137 Feb 21 10:10:25 2007 .. add LICENSE

1136 Feb 21 09:56:06 2007 .. properly boot

1135 Feb 21 09:11:12 2007 .. add missing config import

1134 Feb 21 08:57:08 2007 .. over to test

1133 Feb 21 08:52:04 2007 .. over to test


0.6.1
~~~~~


1132 Feb 20 14:44:30 2007 .. Added tag 0.6.1 for changeset 8129335a60e375d7cb021a44f924890f43b17d1b

1131 Feb 19 23:03:44 2007 .. auto version numbers in setup.py

1130 Feb 19 22:58:49 2007 .. bumped version number

1129 Feb 19 22:48:46 2007 .. updated control file

1128 Feb 19 22:32:57 2007 .. updated

1127 Feb 19 22:30:07 2007 .. fixt changelog

1125 Feb 19 22:24:49 2007 .. added clean after finished build

1123 Feb 19 21:25:46 2007 .. fixt typo

1122 Feb 19 22:23:58 2007 .. update changelog

1121 Feb 19 21:49:08 2007 .. up version

1120 Feb 19 21:45:42 2007 .. properly

1119 Feb 19 21:41:04 2007 .. add gozerplugs package

1118 Feb 19 21:32:58 2007 .. change

1117 Feb 19 21:20:32 2007 .. added debian package and build information

1116 Feb 19 17:22:50 2007 .. add size

1115 Feb 19 15:36:00 2007 .. remove extra reply

1114 Feb 19 09:00:48 2007 .. sleep 5 seconds on reconnect

1113 Feb 19 08:58:05 2007 .. stop output when reconnecting

1112 Feb 19 07:52:50 2007 .. reset connetok

1111 Feb 18 21:58:50 2007 .. addapt missing txt to alias length

1110 Feb 18 21:31:31 2007 .. exclude % from forget txt

1109 Feb 18 20:21:51 2007 .. fixed up ReST docs

1108 Feb 18 19:06:35 2007 .. changed rss

1107 Feb 18 13:36:24 2007 .. add quit

1106 Feb 18 13:34:03 2007 .. its gozerplugs.plugs now

1105 Feb 18 13:33:06 2007 .. fix

1104 Feb 18 13:25:46 2007 .. rejoin channels on reconnect

1103 Feb 18 10:21:37 2007 .. join channels on reconnect

1102 Feb 17 22:59:02 2007 .. update

1101 Feb 17 22:29:39 2007 .. docify

1100 Feb 17 21:48:14 2007 .. doc test

1099 Feb 17 21:36:10 2007 .. update

1098 Feb 17 21:31:47 2007 .. listify relay-list

1097 Feb 17 20:49:39 2007 .. update docs .. THNX TRBS ;]

1096 Feb 17 20:30:57 2007 .. remove x bit

1095 Feb 17 20:27:30 2007 .. don't crash if we don't recognize an option

1094 Feb 17 19:37:23 2007 .. nits

1093 Feb 17 19:19:42 2007 .. properly return 1 on connect

1092 Feb 17 19:18:21 2007 .. add joinchannels

1091 Feb 17 19:14:44 2007 .. fix web plugs .. move join channels into fleet

1090 Feb 17 19:03:38 2007 .. use *

1089 Feb 17 18:53:07 2007 .. move

1088 Feb 17 18:52:16 2007 .. move start log

1087 Feb 17 18:38:48 2007 .. don't throw exception if we can save

1086 Feb 17 18:29:54 2007 .. move creation of dirs/config file out of gozerbot __init__.py

1085 Feb 17 18:15:25 2007 .. streamline runbot .. move useradd of owner out of Bot

1084 Feb 17 15:04:19 2007 .. update

1083 Feb 17 14:13:58 2007 .. fix forget

1082 Feb 17 12:46:55 2007 .. fix tests

1081 Feb 17 12:20:17 2007 .. properly reload

1080 Feb 17 12:09:17 2007 .. streamline

1079 Feb 17 12:00:59 2007 .. add sqlite_db

1078 Feb 17 11:59:53 2007 .. add sqlite database scheme .. remove config

1077 Feb 17 11:57:47 2007 .. if db query gives no results return nr of rows

1076 Feb 17 00:20:13 2007 .. limit lq <nr> to max 4 items

1075 Feb 17 00:11:56 2007 .. check if nr >= 1

1074 Feb 17 00:08:21 2007 .. fix

1073 Feb 16 23:40:34 2007 .. nit

1072 Feb 16 23:40:17 2007 .. add note about upgrading from 0.5 to 0.6

1071 Feb 16 23:26:08 2007 .. set default dbtype to mysql .. enable logging in dcctest

1070 Feb 16 23:24:21 2007 .. move to a more generic database approach

1069 Feb 16 22:05:36 2007 .. allow only owner to use install

1068 Feb 16 22:00:03 2007 .. fix whole in getuser aka don't user REGEX

1067 Feb 16 17:27:54 2007 .. allow numbers of quotes argument in lq

1066 Feb 16 16:07:24 2007 .. remove

1065 Feb 16 14:22:55 2007 .. properly import

1064 Feb 16 13:43:07 2007 .. add -i optie to grep .. fix reload

1063 Feb 16 12:31:25 2007 .. load config

1062 Feb 16 12:00:30 2007 .. add upgrade06 script

1061 Feb 16 11:27:41 2007 .. remove

1060 Feb 16 11:27:25 2007 .. add configcreate

1059 Feb 15 23:38:41 2007 .. check for data dir

1058 Feb 15 22:52:43 2007 .. remove old markov-config

1057 Feb 15 22:47:49 2007 .. numb

1056 Feb 15 22:18:50 2007 .. add upgrade06 .. import gozerplugs.plugs etc

1055 Feb 15 21:42:29 2007 .. make dcctest pass

1054 Feb 15 21:23:20 2007 .. fix

1053 Feb 15 21:11:34 2007 .. add __init__

1052 Feb 15 21:08:17 2007 .. move to gozerplugs

1051 Feb 15 18:11:10 2007 .. implement alarm with timed todo

1050 Feb 15 16:57:10 2007 .. add missing rlog import

1049 Feb 15 15:07:10 2007 .. and back

1048 Feb 15 14:41:43 2007 .. remove myisam

1047 Feb 15 06:43:01 2007 .. start ouputhandler earlier

1046 Feb 14 19:51:55 2007 .. use a href

1045 Feb 12 09:36:59 2007 .. use hg parents to determine hg revision

1044 Feb 11 14:32:09 2007 .. allow time in tomorrow command

1043 Feb 09 20:58:14 2007 .. add subversion to the source command

1042 Feb 09 20:44:08 2007 .. remove unused MySQLdb import

1041 Feb 09 20:34:23 2007 .. move REGEXP over to LIKE

1040 Feb 09 20:05:52 2007 .. add lists-merge

1039 Feb 08 23:20:14 2007 .. properly detect txt

1038 Feb 08 22:26:16 2007 .. lower name on fleet-add

1037 Feb 08 22:12:48 2007 .. test change

1036 Feb 08 21:49:09 2007 .. sleep sometime before reboot

1035 Feb 08 21:16:14 2007 .. prevent relay looping

1034 Feb 08 21:05:42 2007 .. beautify

1033 Feb 08 20:42:53 2007 .. use [nick] * txt in relay instead of * [nick] txt so it is easier to parse

1032 Feb 08 20:34:01 2007 .. fix upgrade-loud

1031 Feb 08 20:30:29 2007 .. fix

1030 Feb 08 20:29:52 2007 .. listify fleet-list command

1029 Feb 08 20:21:32 2007 .. up version

1028 Feb 08 20:19:29 2007 .. sync non db lists with dbplugs/lists.py interface

1027 Feb 08 13:11:42 2007 .. over to test

1026 Feb 08 13:11:06 2007 .. tune

1025 Feb 08 13:06:35 2007 .. over to test

1024 Feb 08 13:05:04 2007 .. over to upgrade test

1023 Feb 08 13:02:55 2007 .. over to test

1022 Feb 08 12:58:18 2007 .. over to test

1021 Feb 08 12:57:30 2007 .. fix

1020 Feb 08 12:55:53 2007 .. over to test

1019 Feb 08 12:56:52 2007 .. fix

1018 Feb 08 12:54:54 2007 .. over to test

1017 Feb 08 12:53:52 2007 .. add upgrade-silent

1016 Feb 08 10:39:11 2007 .. its bot.state['ratelimit']

1015 Feb 08 09:57:57 2007 .. convert to utf-8 .. use channel.lower()

1014 Feb 08 01:35:50 2007 .. up version

1013 Feb 08 01:34:58 2007 .. supress relay join Presence flooding

1012 Feb 08 00:11:22 2007 .. import trbs rlog changes

1011 Feb 07 23:07:01 2007 .. re-apply: fix checkchan

1009 Feb 07 22:43:55 2007 .. added logfile capability with optional logfile="logfile.log" syntax in data/config

1005 Feb 05 20:08:50 2007 .. optimized some functions with iterator tuple comprehensions

1002 Feb 05 03:21:17 2007 .. added delay before firing up markov learn threads

1000 Feb 05 00:41:19 2007 .. added words dictonary with index (thx to dunker)

999 Feb 04 18:29:19 2007 .. added hgignore

998 Feb 08 00:06:48 2007 .. remove debug stuff

997 Feb 08 00:05:10 2007 .. properly replace a fleet bot .. strip bold character in jabberbot.say()

996 Feb 07 22:32:38 2007 .. don't deadlock on reconnect .. init bot.userchannels[nick] on 352

995 Feb 07 21:39:24 2007 .. tune irc <-> jabber relay

994 Feb 07 13:57:35 2007 .. add jabber part/join to relay .. add jabberpresence so we can do toirc

993 Feb 07 11:43:38 2007 .. return 1 on succesfull join

992 Feb 07 11:30:49 2007 .. wait a little bit longer

991 Feb 07 11:29:11 2007 .. check if join succeeds

989 Feb 07 10:28:39 2007 .. lower nick when adding to userhost cache

988 Feb 07 11:00:39 2007 .. fix checkchan

987 Feb 06 21:54:42 2007 .. use channel nick

986 Feb 06 21:47:45 2007 .. check for channel nick first

985 Feb 06 21:33:54 2007 .. up version

984 Feb 06 21:31:24 2007 .. return 1 on join

983 Feb 06 21:18:01 2007 .. check if join succeeds .. check for delay messages and drop them

982 Feb 06 20:54:32 2007 .. implement error wait

981 Feb 06 19:13:08 2007 .. revamp db.py so that exceptions get propagated

980 Feb 06 18:44:58 2007 .. remove fleet-data

979 Feb 06 00:44:54 2007 .. check on isalnum

978 Feb 05 23:45:24 2007 .. up version

977 Feb 05 23:40:40 2007 .. check if nickname is valid

976 Feb 05 23:15:23 2007 .. remember nick used in channel

975 Feb 05 21:38:26 2007 .. put nick back .. i'm going to make 0.5.10

974 Feb 05 21:28:07 2007 .. remove nick option for now .. only works in 0.5.10

973 Feb 05 20:51:18 2007 .. over to test

972 Feb 05 20:44:15 2007 .. fix upgrade in jabber case

971 Feb 05 20:37:16 2007 .. update

970 Feb 05 17:53:17 2007 .. default jabber join nick to 'gozerbot'

969 Feb 05 17:04:54 2007 .. ascii art

968 Feb 05 15:48:22 2007 .. add FLEET and RELAY docs

967 Feb 05 10:55:50 2007 .. forgot nick

966 Feb 05 10:05:38 2007 .. sync with trbs

965 Feb 04 22:00:11 2007 .. fix Apr month

964 Feb 04 21:32:10 2007 .. make us OPER

963 Feb 04 21:12:16 2007 .. allow todo txt for tomorrow command

962 Feb 04 18:31:04 2007 .. fix

961 Feb 04 18:26:46 2007 .. wait a bit until msgs are said

960 Feb 04 15:36:28 2007 .. only change id when logging on google server

959 Feb 04 15:13:39 2007 .. check if rssitems exists

958 Feb 04 15:07:14 2007 .. start commandhandler

957 Feb 04 13:20:12 2007 .. add note about init() and shutdown() functions

956 Feb 04 09:40:41 2007 .. fix

955 Feb 04 09:36:08 2007 .. add rss-feeds

954 Feb 04 09:15:37 2007 .. add outputhandler

953 Feb 03 21:42:38 2007 .. save state on exit

952 Feb 03 21:09:26 2007 .. fix

951 Feb 03 20:39:26 2007 .. update persistconfig

950 Feb 03 20:34:07 2007 .. refreshed changes

949 Feb 03 19:09:12 2007 .. cleanup and removed duplicate config options

948 Feb 03 20:18:53 2007 .. update

947 Feb 03 19:47:31 2007 .. up version

946 Feb 03 19:44:46 2007 .. add greeting plug

945 Feb 03 19:05:26 2007 .. add tomorrow command

944 Feb 03 18:55:15 2007 .. add entry about waitforuser

943 Feb 03 17:50:18 2007 .. add comment where to put the permoverload file

942 Feb 03 17:49:11 2007 .. add entry about permoverload file

941 Feb 03 17:13:15 2007 .. streamline

940 Feb 03 16:57:31 2007 .. make gozerbot package usable in the interactive interpreter

939 Feb 02 23:05:05 2007 .. move partyudp into udp

938 Feb 02 22:19:17 2007 .. add regdir()

937 Feb 02 21:00:41 2007 .. add fleet.startok to signal that fleet has started

936 Feb 02 02:22:06 2007 .. commit test

935 Feb 01 19:56:47 2007 .. revert

934 Feb 01 19:52:43 2007 .. reload kernel plug at module load time

933 Feb 01 19:37:48 2007 .. move handlers functions to callbacks

932 Feb 01 12:47:23 2007 .. update

931 Jan 31 19:17:00 2007 .. when testing if command would dispatch check for pipelining and if so only

930 Jan 31 15:51:19 2007 .. make USER doc tell about user management

929 Jan 31 15:44:25 2007 .. nits

928 Jan 31 15:19:54 2007 .. convert JID to string in userhosts cache

927 Jan 31 14:52:28 2007 .. allow searchquotes to be pipelined

926 Jan 30 20:02:03 2007 .. save persistconfig items on change

925 Jan 30 15:07:03 2007 .. add JABBER doc

924 Jan 30 13:35:56 2007 .. fix

923 Jan 30 13:34:19 2007 .. sort nicks list

922 Jan 30 13:29:49 2007 .. add ignorenicks

921 Jan 29 23:59:34 2007 .. up version

920 Jan 29 23:47:15 2007 .. set persist.data to default if pickle.load fails

919 Jan 29 23:33:23 2007 .. don't depend on xmpp

918 Jan 29 23:02:19 2007 .. up version

917 Jan 29 22:57:46 2007 .. fix

916 Jan 29 17:57:24 2007 .. fix

915 Jan 29 17:53:21 2007 .. set bot.name

914 Jan 29 17:48:45 2007 .. fix addirc

913 Jan 29 17:03:12 2007 .. fleet-jabberadd can only be used from jabberbots

912 Jan 29 11:59:53 2007 .. fix item numbering

911 Jan 29 10:49:29 2007 .. fix numbers

910 Jan 28 17:18:06 2007 .. don't depend on xmpp

909 Jan 28 17:03:56 2007 .. check if xmpp package is available

908 Jan 28 16:29:30 2007 .. allow jabber bots in fleet

907 Jan 27 20:33:03 2007 .. serialize fleet-cmnd

906 Jan 27 19:56:25 2007 .. move splittxt into generic .. refine handle_join

905 Jan 27 15:42:24 2007 .. add todo-settime

904 Jan 26 17:40:13 2007 .. use list of nicks in !nicks command .. set subject in mail

903 Jan 26 16:21:53 2007 .. add meet description

902 Jan 26 15:54:42 2007 .. better response

901 Jan 26 15:11:53 2007 .. bla

900 Jan 26 15:09:10 2007 .. add copyright entry

899 Jan 26 15:08:35 2007 .. add FAQ doc

898 Jan 26 15:05:53 2007 .. make sure user set owneruserhost ok

897 Jan 26 15:00:45 2007 .. make reference to owneruserhost

896 Jan 26 13:54:13 2007 .. move country-reverse into country command

895 Jan 26 13:31:08 2007 .. add example

894 Jan 26 13:11:40 2007 .. only show commands in apropos that a user can do

893 Jan 25 16:09:23 2007 .. add savecfgname

892 Jan 25 15:51:02 2007 .. call boot on enable

891 Jan 25 14:26:28 2007 .. fix

890 Jan 25 13:54:13 2007 .. add not

889 Jan 25 13:45:20 2007 .. jabber reconnect .. change bot.connected to bot.connectok

888 Jan 24 14:28:03 2007 .. allow '*' in seen command

887 Jan 23 20:13:39 2007 .. up version

886 Jan 23 00:31:30 2007 .. the bot already makes the myplugs directory if it doesn't exist

885 Jan 21 14:50:38 2007 .. unload jcallbacks on reload

884 Jan 21 14:02:52 2007 .. add autoreply

883 Jan 20 16:58:58 2007 .. add missing attributes

882 Jan 19 14:42:25 2007 .. wrap rendezvous delete in try except

881 Jan 18 23:27:28 2007 .. add mail-code command

880 Jan 17 17:38:58 2007 .. add sleep

879 Jan 17 17:26:40 2007 .. use list for running output

878 Jan 17 17:19:36 2007 .. run trydispatch in the loop instead of its own thread

877 Jan 17 15:49:24 2007 .. add ircevent.alias

876 Jan 16 13:35:11 2007 .. up version

875 Jan 16 13:32:28 2007 .. clone ircevent before passing on to callbacks

874 Jan 15 15:56:33 2007 .. use typ='chat' in bot.say()

873 Jan 12 16:14:22 2007 .. polltime needs to be an integer and > 60 seconds

872 Jan 12 01:04:12 2007 .. remove debug prints .. don't use a copy of ievent in callbacks and put

871 Jan 11 23:29:21 2007 .. add tail

870 Jan 11 19:18:04 2007 .. fix

869 Jan 11 18:14:48 2007 .. add a allowqueue attribute on the command object so we can disable

868 Jan 11 15:13:01 2007 .. lower

867 Jan 11 07:30:59 2007 .. skip __init__

866 Jan 11 06:20:08 2007 .. use plugnames

865 Jan 09 21:51:02 2007 .. make second char == '!' the escape char for pipelining

864 Jan 08 23:46:33 2007 .. move to PersisConfig

863 Jan 08 22:26:37 2007 .. make references to install-plug

862 Jan 08 21:32:22 2007 .. remove old __init__.py .. just touch the files .. install use the myplugs

861 Jan 08 19:47:32 2007 .. move webserver tot PersistConfig

860 Jan 08 00:25:23 2007 .. re-enable save

859 Jan 07 23:09:14 2007 .. added few comments

858 Jan 07 23:07:41 2007 .. cleanupify

857 Jan 07 23:19:57 2007 .. strip test stuff

855 Jan 07 21:58:13 2007 .. added syncold

854 Jan 07 21:57:22 2007 .. added cfg.syncold

852 Jan 06 02:42:10 2007 .. added callback-event support in persistconfig, you can now get called back when an option changes

851 Jan 06 19:54:33 2007 .. sync with old config data

850 Jan 05 08:59:35 2007 .. gozerbotify

849 Jan 05 05:50:16 2007 .. streamline

847 Jan 05 04:19:22 2007 .. changed remove to undefine, behaves like a not-define, added aliases to remove

846 Jan 05 04:18:53 2007 .. removed testing code

845 Jan 05 02:29:20 2007 .. check if ievent.txt exists

844 Jan 05 01:31:21 2007 .. fix

843 Jan 05 00:15:52 2007 .. fixed name in plughelp of markov.py

842 Jan 05 00:36:33 2007 .. move markovtalk plugin to markov plug

841 Jan 05 00:35:40 2007 .. move tabs to spaces

840 Jan 04 22:50:27 2007 .. better checking

839 Jan 04 22:29:09 2007 .. initial commit of persistconfig

838 Jan 04 16:34:42 2007 .. tune

837 Jan 04 01:34:14 2007 .. check if jabber is enabled

836 Jan 04 01:26:49 2007 .. delay plugins register

835 Jan 02 23:24:56 2007 .. up version

834 Jan 02 22:48:08 2007 .. make topic work with jabber

833 Jan 02 21:38:25 2007 .. move gettopic and settopic into the bot

832 Jan 01 18:32:10 2007 .. add googletalk hack

831 Dec 31 17:09:54 2006 .. update sys.path if directory is passed as argument

830 Dec 31 16:36:15 2006 .. log reconnect

829 Dec 31 16:28:21 2006 .. cleanup db module

828 Dec 26 21:20:03 2006 .. remove *args we don't do that yet

827 Dec 26 21:14:31 2006 .. add ievent.command

826 Dec 26 14:21:19 2006 .. add gozerbot.cron

825 Dec 25 14:27:23 2006 .. don't convert incoming data to ascii

824 Dec 24 15:44:14 2006 .. add ignore-list

823 Dec 24 14:01:37 2006 .. remove execute bit

822 Dec 23 22:14:15 2006 .. add encoding command

821 Dec 23 22:10:02 2006 .. still allow -u option

820 Dec 23 22:08:00 2006 .. switch to utf-8 as default

819 Dec 23 19:11:14 2006 .. make learnurl non blocking

818 Dec 23 17:37:08 2006 .. be start name agnostic

817 Dec 23 17:27:29 2006 .. make sure arguments are passed when rebooting

816 Dec 21 14:01:24 2006 .. tune connect()

815 Dec 20 17:01:50 2006 .. allow bold

814 Dec 20 14:43:51 2006 .. more fix

813 Dec 20 14:40:53 2006 .. really fix

812 Dec 20 14:37:11 2006 .. fix

811 Dec 20 00:24:36 2006 .. lower loglevel

810 Dec 20 00:24:04 2006 .. more bla

809 Dec 20 00:23:20 2006 .. bla

808 Dec 20 00:13:13 2006 .. up version

807 Dec 19 22:21:10 2006 .. streamline toascii

806 Dec 19 22:02:32 2006 .. put jcoll checking loglevel 0

805 Dec 19 22:00:35 2006 .. make utf-8 work with jabber

804 Dec 19 21:54:18 2006 .. properly check for utf-8

803 Dec 19 21:45:00 2006 .. properly set encoding

802 Dec 19 21:27:48 2006 .. add -u option that set defaultencoding to utf-8

801 Dec 19 18:16:46 2006 .. lower remove sleep time

800 Dec 19 15:38:22 2006 .. basic step

799 Dec 19 15:31:48 2006 .. fix

798 Dec 19 02:27:07 2006 .. add doconnect flag to Db constructor

797 Dec 19 02:24:45 2006 .. fix

796 Dec 19 02:14:26 2006 .. add connectargs

795 Dec 19 01:47:52 2006 .. fix exception reporting

794 Dec 19 01:42:25 2006 .. fix delete

793 Dec 19 01:39:27 2006 .. it's scwachter.stop

792 Dec 19 01:23:13 2006 .. add shoutcast watcher

791 Dec 18 14:39:00 2006 .. remove url from version

790 Dec 18 14:26:53 2006 .. add shoutcast

789 Dec 15 11:41:18 2006 .. it's stoprunning

788 Dec 14 20:07:10 2006 .. check if rssitem is stopped

787 Dec 14 20:04:08 2006 .. add version to geturl .. make rss use it

786 Dec 14 15:30:44 2006 .. test

785 Dec 14 15:26:35 2006 .. add lockmanager and lock update/upgrade path

784 Dec 13 16:14:45 2006 .. up version

783 Dec 13 15:49:09 2006 .. add missing )

782 Dec 12 07:37:47 2006 .. adjust loglevels

781 Dec 12 07:16:23 2006 .. set default socket timeout to 30 seconds

780 Dec 12 06:25:23 2006 .. add code-funcnames

779 Dec 12 06:07:13 2006 .. add mailfrom

778 Dec 12 06:06:20 2006 .. add !re

777 Dec 12 04:18:27 2006 .. fix qtest

776 Dec 12 03:44:52 2006 .. only save if channel data has changed

775 Dec 12 02:50:04 2006 .. add mailserver config option

774 Dec 12 01:55:15 2006 .. its mail not grep

773 Dec 12 01:09:28 2006 .. require config['mailserver'] set

772 Dec 12 01:05:29 2006 .. update flow doc

771 Dec 12 00:40:39 2006 .. remove debug print

770 Dec 12 00:31:35 2006 .. refer to command

769 Dec 12 00:23:39 2006 .. test

768 Dec 12 00:06:01 2006 .. add mail pipeline command

767 Dec 11 15:28:48 2006 .. convert int to string

766 Dec 10 14:19:00 2006 .. replace % by * (thnx to arnie)

765 Dec 10 00:57:36 2006 .. wrap bot.socket.send in try except

764 Dec 09 16:02:00 2006 .. allow LIKE based wildcards in dbusers

763 Dec 08 21:17:46 2006 .. fix

762 Dec 08 21:14:48 2006 .. we can log what we can't convert to ascii

761 Dec 08 20:07:28 2006 .. be less verbose

760 Dec 08 20:03:49 2006 .. fix a lot

759 Dec 07 18:35:22 2006 .. fix

758 Dec 07 16:22:02 2006 .. permoverload on all instances

757 Dec 07 15:54:32 2006 .. rerun overload in reload

756 Dec 07 14:48:00 2006 .. don't remove the channel on part

755 Dec 07 07:10:28 2006 .. show aliases in apro

754 Dec 06 19:39:59 2006 .. more plugdeny test

753 Dec 06 19:39:04 2006 .. show which plug is in plugdeny

752 Dec 06 19:36:27 2006 .. second upgrade test

751 Dec 06 19:36:00 2006 .. fix

750 Dec 06 19:35:09 2006 .. upgrade test

749 Dec 06 19:34:16 2006 .. don't reload modules that are in plugdeny

748 Dec 05 22:03:18 2006 .. use (name, bot.name, ievent.channel) as dict key

747 Dec 05 02:25:29 2006 .. check if channel is joined

746 Dec 02 23:39:26 2006 .. fix irc.out()

745 Dec 01 16:09:11 2006 .. add fix_format

744 Dec 01 15:43:16 2006 .. allow multiple control chars

743 Dec 01 14:17:56 2006 .. check if permoverload works

742 Dec 01 13:59:10 2006 .. fix permoverload

741 Nov 30 23:53:09 2006 .. fix nr nodes count

740 Nov 30 23:15:10 2006 .. make test JCOLL permission

739 Nov 30 21:26:56 2006 .. fix JCOLL perm

738 Nov 30 21:13:18 2006 .. autoadd user on jcoll-allow .. introduce JCOLL permission

737 Nov 30 20:57:28 2006 .. put None on queue if nr of jcoll nodes responses are in

736 Nov 30 20:24:37 2006 .. over to test

735 Nov 30 19:53:50 2006 .. update doc

734 Nov 30 19:47:10 2006 .. add choice

733 Nov 30 19:18:23 2006 .. user ()

732 Nov 30 16:40:03 2006 .. fix

731 Nov 30 15:45:20 2006 .. jabber collective fase 1

730 Nov 29 23:04:22 2006 .. fix typo

729 Nov 28 01:30:54 2006 .. add -r option to grep aka use regular expression

728 Nov 28 00:18:49 2006 .. upgrade to 0.5.1

727 Nov 28 00:10:38 2006 .. return [] on empty nodes list

726 Nov 27 23:22:20 2006 .. add aliases  .. add more

725 Nov 27 22:56:26 2006 .. fix names example .. limit ps and running commands to OPER permission

724 Nov 27 22:49:20 2006 .. add ps and running examples

723 Nov 27 22:40:59 2006 .. add link to doc/BASIC and doc/OPER

722 Nov 27 22:38:39 2006 .. add more doc .. adjust code to it

721 Nov 27 21:18:17 2006 .. use other example

720 Nov 27 21:15:46 2006 .. add UDP doc

719 Nov 27 21:05:39 2006 .. forgot to save ;]

718 Nov 27 21:04:06 2006 .. add collective .. speedup coll-fullboot .. don't boot on start

717 Nov 27 18:29:32 2006 .. add netfreak

716 Nov 27 17:35:42 2006 .. add snuf

715 Nov 27 17:15:09 2006 .. fix

714 Nov 27 17:12:02 2006 .. add user-getuserhosts

713 Nov 27 15:38:55 2006 .. update .. fix reverse alias

712 Nov 27 14:45:21 2006 .. convert to string .. try disconnectHandler

711 Nov 26 20:57:56 2006 .. remove threading mixin

710 Nov 26 18:40:06 2006 .. fix jabber relay

709 Nov 26 17:21:03 2006 .. check for ievent.jabbber

708 Nov 26 16:59:53 2006 .. copy ruserhost

707 Nov 26 16:47:09 2006 .. use jabbermsg.stripped in owner check

706 Nov 24 23:00:07 2006 .. add rstrip

705 Nov 24 18:59:36 2006 .. fix typo

704 Nov 24 15:26:27 2006 .. use connect time

703 Nov 24 14:23:23 2006 .. show dropped message txt

702 Nov 24 13:44:28 2006 .. put drop message on -1 loglevel

701 Nov 24 13:43:17 2006 .. drop message first 7 seconds after start

700 Nov 24 13:21:40 2006 .. allow start nr

699 Nov 24 13:08:26 2006 .. drop message in the first 15 seconds

698 Nov 24 12:43:30 2006 .. start nr with 0

697 Nov 24 12:07:10 2006 .. add nr flag to reply

696 Nov 23 21:52:33 2006 .. put logging of presence packets at level 1

695 Nov 20 16:00:56 2006 .. allow google clients .. default jabber user check is on stripped jid

694 Nov 20 02:23:44 2006 .. only log Message

693 Nov 20 02:00:38 2006 .. introduce jabbercallbacks

692 Nov 20 01:03:36 2006 .. update slashdot example

691 Nov 20 00:50:30 2006 .. enable markov on jabber

690 Nov 19 05:03:59 2006 .. remove maintain

689 Nov 19 04:43:57 2006 .. disable irc commands on jabber bots

688 Nov 19 04:11:58 2006 .. enable remind for jabber

687 Nov 19 03:45:02 2006 .. add backlog

686 Nov 19 00:39:10 2006 .. typo

685 Nov 18 19:00:22 2006 .. fix

684 Nov 18 18:58:06 2006 .. use chan not channel

683 Nov 18 18:49:17 2006 .. enable logs in jabber

682 Nov 18 17:33:09 2006 .. enable botnick: commands

681 Nov 18 17:15:49 2006 .. fix

680 Nov 18 17:06:45 2006 .. enable idle in jabber

679 Nov 17 13:20:52 2006 .. fix jabber relay

678 Nov 17 10:23:24 2006 .. add fromm

677 Nov 17 10:08:29 2006 .. remove debug print

676 Nov 17 01:44:48 2006 .. enable relay

675 Nov 17 00:03:50 2006 .. set bot.connected on succesfull connection

674 Nov 16 22:29:27 2006 .. re-enable meet for jabber bot

673 Nov 16 22:26:28 2006 .. convert jid to string

672 Nov 16 22:23:00 2006 .. check for jid case

671 Nov 16 22:17:10 2006 .. add userhosts dict

670 Nov 16 21:21:29 2006 .. add groupchat to bot.say

669 Nov 16 18:19:38 2006 .. add action

668 Nov 16 15:22:47 2006 .. add keepalive

667 Nov 15 21:04:19 2006 .. add missing return

666 Nov 14 17:07:07 2006 .. stelletje cg upgrade neuroten

665 Nov 14 11:00:59 2006 .. over to test

664 Nov 14 10:50:50 2006 .. over to test

663 Nov 14 10:30:01 2006 .. over to test

662 Nov 14 10:21:43 2006 .. lock messagehandler

661 Nov 14 09:55:55 2006 .. over to test

660 Nov 14 09:45:07 2006 .. put jcoll before groupchat

659 Nov 14 09:29:43 2006 .. add jcoll

658 Nov 14 05:09:33 2006 .. remove pyjbot remains .. reshuffle config example

657 Nov 14 03:30:26 2006 .. properly call config.reload

656 Nov 14 03:17:22 2006 .. remove debug stuff

655 Nov 14 03:11:49 2006 .. over to test

654 Nov 14 02:15:51 2006 .. over to test

653 Nov 14 01:17:56 2006 .. over to test

652 Nov 14 01:00:47 2006 .. over to test

651 Nov 14 00:43:47 2006 .. always enforce printto

650 Nov 14 00:24:50 2006 .. use ievent.printto

649 Nov 13 22:48:26 2006 .. add channel option to cc

648 Nov 13 22:28:12 2006 .. add channels to jabberbot

647 Nov 13 18:05:29 2006 .. doe full jid on userhost

646 Nov 13 17:53:49 2006 .. fix

645 Nov 10 07:38:25 2006 .. allow control character

644 Nov 10 07:03:44 2006 .. enable auto-register

643 Nov 10 05:22:30 2006 .. bind to 'jabbermain'

642 Nov 09 18:17:09 2006 .. fix channel setting in je jabberbot case

641 Nov 09 16:53:55 2006 .. enable less/more in jabber

640 Nov 09 11:14:32 2006 .. don't depend on xmpp if not enabled

639 Nov 08 23:58:45 2006 .. enable pipelining

638 Nov 08 19:51:24 2006 .. remove waitforuserdcc .. user ievent.userhost in install privwait

637 Nov 08 17:08:05 2006 .. don't stop loop on exception

636 Nov 08 11:46:46 2006 .. make wait work on userhost so jabberwait will work

635 Nov 07 14:42:06 2006 .. sleep some more during learn

634 Nov 07 13:00:17 2006 .. add ratelimiter

633 Nov 06 23:13:12 2006 .. add UPGRADE permission

632 Nov 06 23:00:47 2006 .. log iq

631 Nov 06 22:59:32 2006 .. request roster

630 Nov 06 22:40:00 2006 .. set id in reply .. add bot.state

629 Nov 06 16:00:08 2006 .. add bot.jabber boolean .. use getStripped() on userhost

628 Nov 06 14:52:51 2006 .. add xmpppy dependancy

627 Nov 06 14:47:38 2006 .. only include jabber stuff if enabled

626 Nov 06 14:20:39 2006 .. sync with gozerbot

625 Nov 05 20:09:42 2006 .. use toascii

624 Nov 05 16:16:16 2006 .. make bot log onto talk.google.com

623 Nov 05 00:21:17 2006 .. properly log off on bot.exit()

622 Nov 04 20:05:02 2006 .. add jabber support

621 Oct 28 14:00:54 2006 .. strip multiple channels in joinedchannels list

620 Oct 27 20:43:50 2006 .. fix time and prio

619 Oct 27 19:24:50 2006 .. add pickletomysql

618 Oct 26 17:12:19 2006 .. scan last said lines for words .. add loud/silent mode per channel

617 Nov 05 16:23:40 2006 .. fix

616 Nov 03 00:29:21 2006 .. add partyline loud and silent modes

615 Nov 03 00:11:08 2006 .. remove unused import

614 Nov 02 23:56:27 2006 .. allow optional sleeptime argument to rss-watch

613 Nov 02 23:35:11 2006 .. show nr of nodes

612 Nov 02 21:18:31 2006 .. str() web output

611 Nov 02 19:24:04 2006 .. fix gozerpopen path

610 Nov 01 18:26:53 2006 .. remove nonfree alias

609 Nov 01 16:52:24 2006 .. typo

608 Oct 31 16:25:33 2006 .. it's sent

607 Oct 31 11:46:41 2006 .. woulddispatch uses a bot argument now

606 Oct 31 11:43:15 2006 .. its TypeError

605 Oct 31 11:32:50 2006 .. add channel permissions

604 Oct 31 11:19:43 2006 .. make permoverload grok multiple permissions .. up version

603 Oct 31 00:52:50 2006 .. try to set reuseport

602 Oct 31 00:50:22 2006 .. try to set reuseport

601 Oct 30 18:44:34 2006 .. fix (some) pychecker warnings

600 Oct 29 13:09:03 2006 .. nit

599 Oct 28 14:02:50 2006 .. strip multiple channels in joinedchannels list

598 Oct 27 20:44:34 2006 .. fix priority and time display

597 Oct 27 19:26:11 2006 .. add pickletomysql

596 Oct 26 17:13:31 2006 .. scan last 5 lines for words .. add per channel loud/silent mode

595 Oct 25 15:36:12 2006 .. properly return result

594 Oct 25 15:00:13 2006 .. fix

593 Oct 24 14:38:03 2006 .. show all hg pull response lines

592 Oct 24 14:13:40 2006 .. remove debug print

591 Oct 24 14:13:22 2006 .. nits

590 Oct 24 13:43:33 2006 .. check if only 1 line is sent

589 Oct 24 13:39:59 2006 .. put TOO LATE txt into saytodo

588 Oct 24 03:15:53 2006 .. pug line split into try except

587 Oct 24 03:02:24 2006 .. typo

586 Oct 24 02:56:29 2006 .. do better ping sequence

585 Oct 23 15:33:05 2006 .. its "sent"

584 Oct 23 15:26:54 2006 .. make not of backups

583 Oct 23 15:04:02 2006 .. move url to the front

582 Oct 23 14:29:35 2006 .. put items in order of itemslist

581 Oct 22 20:18:17 2006 .. allow bla | to me

580 Oct 22 16:30:45 2006 .. save on joinedlist change

579 Oct 22 15:50:25 2006 .. import from gozerdevel .. pass channel on to coll/coll-exec

578 Oct 22 15:45:45 2006 .. add channel to coll/coll-exec

577 Oct 21 01:14:09 2006 .. skip commands

576 Oct 19 19:12:20 2006 .. sync with gozerbot repo

575 Oct 19 19:10:53 2006 .. remove so we can sync to gozerbot repo

574 Oct 04 16:40:13 2006 .. sync

573 Oct 04 05:22:14 2006 .. document

572 Oct 21 01:16:49 2006 .. skip commands

571 Oct 20 05:32:22 2006 .. check for result

570 Oct 20 00:34:17 2006 .. fix config reload

569 Oct 18 18:18:50 2006 .. check if input line is given

568 Oct 18 17:13:08 2006 .. give svn upgrade response

567 Oct 18 17:11:08 2006 .. fix

566 Oct 18 15:01:36 2006 .. put joined channel into bot state and use that to join channels

565 Oct 18 14:37:25 2006 .. move splitted list into bot

564 Oct 16 14:45:19 2006 .. don't show python version and os

563 Oct 14 15:46:27 2006 .. fix

562 Oct 13 21:09:26 2006 .. shorten welcome list on dcc chat partyline

561 Oct 13 17:29:48 2006 .. only check for aliases if its a command

560 Oct 13 09:43:29 2006 .. allow use of || to pass on pipelined command to collective node

559 Oct 12 21:11:50 2006 .. learn faster .. only do markov command if channel is enabled

558 Oct 12 21:03:20 2006 .. fix

557 Oct 12 19:59:47 2006 .. remove debug prints

556 Oct 12 19:58:15 2006 .. enable/disable markov learning per channel

555 Oct 11 15:07:24 2006 .. fix last

554 Oct 10 12:31:57 2006 .. make commands grepable .. remove debug prints

553 Oct 10 00:25:27 2006 .. show who send the message

552 Oct 10 00:22:07 2006 .. give response back

551 Oct 10 00:04:19 2006 .. commit merge

550 Oct 10 00:03:14 2006 .. add to plugin which allows to send output to nick (buffered)

549 Oct 09 16:44:04 2006 .. convert elements of list to string

548 Oct 08 20:45:30 2006 .. add count

547 Oct 07 23:00:48 2006 .. fix seen

546 Oct 07 22:13:37 2006 .. check on ' |'

545 Oct 07 16:42:03 2006 .. removed converting args to string in thread logging .. don't spawn separate

544 Oct 07 14:41:38 2006 .. fix 437

543 Oct 06 22:19:50 2006 .. only do onjoin when there is txt to say

542 Oct 06 18:38:15 2006 .. check if ievent.txt is available

541 Oct 06 17:37:23 2006 .. allow list as argument to ievent.reply so we can grep better .. cleanup log

540 Oct 04 15:50:46 2006 .. remove word_list

539 Oct 04 12:43:08 2006 .. recycle if result < 20 chars

538 Oct 04 05:20:13 2006 .. document

537 Oct 04 00:13:21 2006 .. don't show nr of items

536 Oct 03 23:56:38 2006 .. split on '|' and '&&'

535 Oct 03 20:17:50 2006 .. up version

534 Oct 03 20:12:26 2006 .. import commands pipeline .. grep

533 Oct 03 20:06:45 2006 .. bla

532 Oct 03 14:04:12 2006 .. make grep work when results queues are used

531 Oct 03 13:01:32 2006 .. add pipeline functionality

530 Oct 02 16:55:46 2006 .. use words that are more than 4 characters and find the word with the lowest nr of followers

529 Sep 28 17:19:42 2006 .. add missing return

528 Sep 28 15:21:52 2006 .. make onjoin per channel

527 Sep 26 20:01:36 2006 .. properly learn urls

526 Sep 25 20:26:12 2006 .. fix callback precondition

525 Sep 25 19:31:22 2006 .. lower nick on detection

524 Sep 25 16:52:20 2006 .. do do markov on dcctest .. add JOIN callback

523 Sep 24 20:01:30 2006 .. remove pickle and use a learnlist of items that will be learned on startup

522 Sep 23 00:14:35 2006 .. fikst missing {}

521 Sep 22 22:53:26 2006 .. fixt small typo

520 Sep 22 22:54:32 2006 .. strip learn from commands

519 Sep 22 22:51:10 2006 .. added update-config

518 Sep 22 22:37:38 2006 .. new changes

517 Sep 22 22:29:15 2006 .. renamed markovtalk-teach to markovtalk-learn

516 Sep 22 15:48:35 2006 .. add markovconfig

515 Oct 02 18:23:03 2006 .. add Rexodus to THNX

514 Oct 02 13:18:29 2006 .. fix

513 Oct 01 21:31:47 2006 .. use quote #

512 Oct 01 20:50:24 2006 .. strip channel

511 Oct 01 20:42:54 2006 .. move channel check into Channels

510 Oct 01 20:34:46 2006 .. check for channel

509 Oct 01 20:30:55 2006 .. check if channel is already joined .. check for errno 4 (interrupted system call) in udp

508 Oct 01 20:12:13 2006 .. add karma to quotes

507 Oct 01 13:43:09 2006 .. check if argument given is an url .. don't put timeout to 1 in partyudp

506 Sep 29 17:36:26 2006 .. change added response

505 Sep 28 14:38:13 2006 .. only aply alias once

504 Sep 27 21:33:38 2006 .. create log file if it doesn't exist

503 Sep 27 20:25:58 2006 .. strip handle functions from convert-list

502 Sep 25 21:52:00 2006 .. use a better response message

501 Sep 25 19:49:26 2006 .. use ievent.printto and disallow dcc chat

500 Sep 25 18:58:44 2006 .. remove nrbytes back

499 Sep 25 18:04:49 2006 .. fix no reply

498 Sep 25 15:38:11 2006 .. its partyudp config var

497 Sep 22 14:49:48 2006 .. remove markovtalk for now

496 Sep 22 02:55:38 2006 .. don't use woulddispatch instead test on cc and bot.nick: and bot.nick,

495 Sep 22 00:01:42 2006 .. created new object based tokens

494 Sep 22 00:01:57 2006 .. add markovtalk (beta)

493 Sep 21 23:42:29 2006 .. test back

492 Sep 21 21:39:39 2006 .. first letter is a capital

491 Sep 21 18:20:26 2006 .. move to one commandhandler for all bots .. remove irchandler in Irc, use handle_ievent directly

490 Sep 21 12:02:23 2006 .. use *sys.argv in reboot

489 Sep 20 22:44:27 2006 .. netsplit is *.

488 Sep 20 22:33:59 2006 .. fix 311 .. fix fakein .. fix tests

487 Sep 19 22:44:32 2006 .. use item.strip()

486 Sep 19 18:42:35 2006 .. run trydispatch in its own thread so it can block

485 Sep 19 18:27:30 2006 .. add timeout to db.connect .. put plugins.trydispatch in own thread so it can block

484 Sep 19 17:14:30 2006 .. don't re-raise exception just log the error

483 Sep 19 02:12:17 2006 .. sync output

482 Sep 18 20:08:24 2006 .. use getmmap

481 Sep 18 19:11:20 2006 .. add return after pushing reboot to the mainhandler

480 Sep 18 19:56:25 2006 .. create dispatchtest so we can let woulddispatch return 1 or None

479 Sep 18 19:22:32 2006 .. add getmmap

478 Sep 18 12:54:07 2006 .. use deepcopy

477 Sep 17 20:34:57 2006 .. add default argument to Persist

476 Sep 17 16:51:07 2006 .. use getwho to get userhost

475 Sep 17 15:59:03 2006 .. up version

474 Sep 17 15:57:25 2006 .. lower nick name

473 Sep 17 02:25:55 2006 .. add SAY and ACTION perms

472 Sep 17 02:24:58 2006 .. add channel argument to say and action

471 Sep 16 16:49:23 2006 .. fix nickrecapture

470 Sep 16 15:18:13 2006 .. start regplugin in its own thread

469 Sep 16 15:02:45 2006 .. fix delnode

468 Sep 16 14:55:42 2006 .. move toascii into generic .. streamline collective

467 Sep 16 00:36:16 2006 .. add Server: gozerbot version to header txt

466 Sep 15 23:09:49 2006 .. add coll-ping and add checks for active

465 Sep 15 22:35:27 2006 .. add setperms alias

464 Sep 14 20:24:56 2006 .. add action and say

463 Sep 14 19:28:50 2006 .. make speed work as expected

462 Sep 14 13:38:24 2006 .. fix reversealias

461 Sep 14 11:40:48 2006 .. move testing if nick already taken in bot.donick()

460 Sep 14 00:07:08 2006 .. add attribute to disable automatic nick change on nick already take .. streamline wait

459 Sep 13 16:41:14 2006 .. hg pull -u might return 256 so don't check returncode

458 Sep 13 00:12:22 2006 .. remove references to nonfree

457 Sep 12 21:10:42 2006 .. default precondition of callback to None

456 Sep 12 21:06:42 2006 .. add a Gozerpopen4 class with close method that will propely wait for the child

455 Sep 12 20:57:13 2006 .. upgrade test

454 Sep 11 20:08:43 2006 .. fix incase of no time-todo items available

453 Sep 11 16:07:11 2006 .. add load alias

452 Sep 10 21:52:02 2006 .. fix response test

451 Sep 10 15:32:29 2006 .. check for valid data/time

450 Sep 10 01:25:50 2006 .. send \n with quitmsg

449 Sep 10 00:33:59 2006 .. rstrip string from socket

448 Sep 09 18:17:35 2006 .. deop outselves if ops is disabled

447 Sep 08 16:46:26 2006 .. only set running flag when watch thread is started

446 Sep 08 16:43:12 2006 .. show which rss watch failed to start

445 Sep 08 15:20:41 2006 .. upgrade test

444 Sep 08 15:16:44 2006 .. use txt.rstrip()

443 Sep 08 03:23:51 2006 .. strip channel in ircevent .. first stop the bot on bot.exit()

442 Sep 08 02:59:04 2006 .. remove txt.strip()

441 Sep 07 21:28:43 2006 .. add coll-getnode

440 Sep 07 21:02:07 2006 .. it's bot

439 Sep 07 21:00:15 2006 .. remove ops if ops is disabled in channel

438 Sep 07 13:18:33 2006 .. remove dns command

437 Sep 06 14:16:20 2006 .. remove test handle_exception

436 Sep 05 22:45:58 2006 .. use handle_one

435 Sep 05 22:11:49 2006 .. add ]V[ to THNX

434 Sep 05 20:40:47 2006 .. precompile regexs

433 Sep 04 23:18:27 2006 .. log saving on level 10

432 Sep 04 23:03:06 2006 .. move logging of executed command to eventhandler

431 Sep 04 21:56:04 2006 .. put web traffic at speed 9

430 Sep 04 21:54:54 2006 .. remove empty line

429 Sep 04 21:28:59 2006 .. move lockdec out of main loop

428 Sep 04 20:32:03 2006 .. log what we are locking on

427 Sep 04 18:21:01 2006 .. catch socket errno 35 .. resource temp unavailable

426 Sep 04 18:03:58 2006 .. cleanup

425 Sep 04 16:26:19 2006 .. cleanup

424 Sep 03 17:09:50 2006 .. check for iq 0

423 Sep 02 15:08:27 2006 .. add no-op

422 Sep 01 15:51:25 2006 .. revert to bot.msg / sleep3

421 Sep 01 15:18:55 2006 .. only check for options in gozerpopen

420 Sep 01 00:29:01 2006 .. move plugs/list.py to plugs/lists.py

419 Sep 01 00:15:42 2006 .. move dbplugs/list to dbplugs/lists

418 Aug 31 20:56:05 2006 .. add partyudp .. udp packets send to partyline members

417 Aug 31 19:00:03 2006 .. remove debug print

416 Aug 31 18:18:46 2006 .. add user-search

415 Aug 31 17:17:25 2006 .. add coll-rename

414 Aug 31 16:59:03 2006 .. add collstatus

413 Aug 31 14:04:06 2006 .. upgrade filedetected bug fixed

412 Aug 31 13:59:40 2006 .. add maintain

411 Aug 31 13:07:50 2006 .. move owner check to name == 'owner'

410 Aug 31 12:40:50 2006 .. don't lower owner

409 Aug 30 21:52:55 2006 .. upgrade test

408 Aug 30 21:51:08 2006 .. fix files detection

407 Aug 30 21:47:57 2006 .. add getperms alias

406 Aug 30 01:41:09 2006 .. forgotten os.sep .. up version

405 Aug 30 01:27:47 2006 .. don't use ./ in reboot .. add svn update

404 Aug 30 01:07:29 2006 .. use os.sep

403 Aug 30 00:10:53 2006 .. move less/more into core

402 Aug 30 00:07:19 2006 .. move more into less

401 Aug 29 23:28:21 2006 .. revamp gozerpopen

400 Aug 29 23:12:32 2006 .. make uptime "real"  .. fix elapsedstring

399 Aug 29 22:53:44 2006 .. don't lower userhost

398 Aug 29 22:46:56 2006 .. better checkactive output

397 Aug 29 22:38:29 2006 .. check if we already got quote

396 Aug 29 22:33:06 2006 .. use containment

395 Aug 24 00:33:28 2006 .. move size to its own plugin

394 Aug 23 15:56:36 2006 .. save channels after part

393 Aug 23 15:55:08 2006 .. save channels after delchan

392 Aug 23 12:57:57 2006 .. add missing return

391 Aug 23 12:08:25 2006 .. don't put None in queue if node fails

390 Aug 22 23:06:17 2006 .. add arc for his solaris testing

389 Aug 22 23:03:02 2006 .. check if ping is a test ping if so don't provide origin just pong back the

388 Aug 22 21:56:27 2006 .. more lower

387 Aug 22 21:52:46 2006 .. use lower case channel names

386 Aug 22 20:37:40 2006 .. log collective pings on loglevel 1

385 Aug 22 19:30:34 2006 .. add channel and personal lists

384 Aug 21 23:49:20 2006 .. use ievent.rest as listname

383 Aug 21 23:21:53 2006 .. fix

382 Aug 21 23:07:18 2006 .. add dbplugs list plugin

381 Aug 21 18:52:43 2006 .. support a README file for files installed from site .. make a alias for

380 Aug 21 18:03:16 2006 .. move channel check into trydispatch

379 Aug 21 17:29:05 2006 .. use -o etime

378 Aug 21 16:55:16 2006 .. check if activechecker is running

377 Aug 21 16:38:36 2006 .. make alternick per bot .. sleep 3 seconds before joining channels ..

376 Aug 21 15:46:28 2006 .. check for result

375 Aug 21 13:56:51 2006 .. add new config var "alternick" .. call Irc.reconnect with orignick

374 Aug 20 14:39:52 2006 .. arcs request

373 Aug 19 22:31:42 2006 .. add coll-checkactive

372 Aug 19 21:58:10 2006 .. return connect result

371 Aug 18 00:11:26 2006 .. sleep 15 min instead of 1

370 Aug 17 23:07:06 2006 .. make reboot work after dir is provided as argument

369 Aug 17 22:40:17 2006 .. make activechecker a object so we can set a stop flag .. set default socket

368 Aug 17 20:23:55 2006 .. delnode should also remove node from active list

367 Aug 17 19:07:56 2006 .. add node to active list if it becomes active again

366 Aug 17 19:03:19 2006 .. add coll-exec

365 Aug 17 17:26:05 2006 .. show elapsed time

364 Aug 17 17:18:15 2006 .. put activechecker into collective

363 Aug 17 00:47:52 2006 .. check for karma void in good/bad

362 Aug 17 00:38:15 2006 .. typo

361 Aug 17 00:34:47 2006 .. check if channelmode is +t and if so if we are ops on that channel

360 Aug 17 00:20:26 2006 .. add support for channel mode

359 Aug 16 23:01:22 2006 .. expicitly test for (1139, "Got error 'repetition-operator operand invalid'

358 Aug 16 13:50:07 2006 .. do reconnect on Connection lost

357 Aug 15 03:05:15 2006 .. remove time

356 Aug 14 18:57:25 2006 .. typo

355 Aug 14 16:42:32 2006 .. fix webserver defaultallow/deny .. add WEBSERVER doc

354 Aug 12 19:39:52 2006 .. udp has moved to its own plugin a looong time ago

353 Aug 12 16:24:00 2006 .. better __str__

352 Aug 12 16:30:51 2006 .. remove shutdown from reconnect

351 Aug 11 18:44:37 2006 .. faster quit .. add user attribute to ircevent

350 Aug 11 01:06:16 2006 .. remove stopreadloop

349 Aug 11 01:02:37 2006 .. typo

348 Aug 11 01:01:53 2006 .. also check for self.stopped in readloop

347 Aug 10 13:34:52 2006 .. prevent ignore/limiter for OPER

346 Aug 09 22:09:27 2006 .. add code-exceptions command .. don't run tests in dcctest

345 Aug 09 22:07:28 2006 .. fix permit

344 Aug 09 22:03:25 2006 .. fix permit

343 Aug 09 19:39:38 2006 .. don't run a separate ping thread instead ping db before execute .. lock

342 Aug 09 17:24:55 2006 .. do ping before execute

341 Aug 09 17:20:10 2006 .. revert back to the old ways

340 Aug 09 17:10:06 2006 .. ping every 5 seconds

339 Aug 09 17:07:49 2006 .. don't re-raise mysql exception, just print it

338 Aug 09 16:53:12 2006 .. fix

337 Aug 08 22:50:35 2006 .. reboot via the mainhandler

336 Aug 08 20:22:56 2006 .. default to python

335 Aug 08 20:19:39 2006 .. introduce a mainhandler thats running in the main thread

334 Aug 08 18:00:53 2006 .. make reboot run from parent thread, so it works on FBSD python2.5 .. don't

333 Aug 08 17:13:20 2006 .. typo

332 Aug 08 17:09:18 2006 .. support SunOS ps

331 Aug 08 16:46:15 2006 .. fix typo

330 Aug 08 16:01:09 2006 .. add quote-last <searchitem>

329 Aug 08 16:58:50 2006 .. use MySQLdb.OperationError

328 Aug 08 03:46:30 2006 .. ignore output

327 Aug 08 03:19:30 2006 .. add ignore

326 Aug 08 02:34:00 2006 .. add limiter

325 Aug 07 21:36:29 2006 .. first stop the bot in bot.exit() .. use sys.argv[0] in reboot

324 Aug 07 16:51:56 2006 .. check for config['dbenable']

323 Aug 07 15:17:41 2006 .. up version .. forgot links

322 Aug 07 14:28:40 2006 .. move RE groups into ievent instead of passing them as argument

321 Aug 07 14:07:29 2006 .. fix

320 Aug 07 14:00:38 2006 .. allow (bot.name, ievent.channel) indexes

319 Aug 07 13:42:48 2006 .. make channel shop index on channel name not (bot.name, ievent.channel)

318 Aug 07 13:34:10 2006 .. fix got-chan

317 Aug 07 12:35:30 2006 .. don't use 'name' variable twice

316 Aug 06 18:48:33 2006 .. remove print

315 Aug 04 20:59:36 2006 .. give proper feedback if we already have a user with userhost

314 Aug 04 19:45:27 2006 .. properly update userhosts cache on NICK

313 Aug 03 12:07:15 2006 .. nits

312 Aug 01 21:54:10 2006 .. check for svn revision

311 Aug 01 21:42:17 2006 .. up version

310 Aug 01 21:37:19 2006 .. adjust to new google subversion repo

309 Aug 01 19:13:21 2006 .. check if provided url is not an option

308 Aug 01 18:48:42 2006 .. allow svn upgrade

307 Aug 01 14:57:14 2006 .. fix upgrade/update .. fix mono <nick>

306 Aug 01 02:26:03 2006 .. use lock on save()

305 Aug 01 02:02:13 2006 .. fix user-adduserhost

304 Aug 01 01:09:48 2006 .. centralize popen2.Popen4

303 Aug 01 00:25:12 2006 .. use hostnamere to check if provided data is a hostname .. put PROBE

302 Jul 31 21:28:55 2006 .. load dbplugs plugs first

301 Jul 31 21:07:18 2006 .. fix lists

300 Jul 31 20:52:07 2006 .. expand size command

299 Jul 30 18:16:25 2006 .. set loglevel on socket timeout and ping to 1

298 Jul 30 18:09:18 2006 .. nits

297 Jul 30 17:39:30 2006 .. use list as arg in popen

296 Jul 28 01:52:03 2006 .. fix less.size()

295 Jul 27 17:33:28 2006 .. make contrib directory

294 Jul 27 17:18:51 2006 .. remove

293 Jul 27 16:48:01 2006 .. do hostname lookup in ipcalc

292 Jul 27 15:59:33 2006 .. remove

291 Jul 27 15:58:53 2006 .. add country code argument to examples

290 Jul 27 00:47:20 2006 .. add part and join messages to relay

289 Jul 26 15:08:09 2006 .. more nit

288 Jul 26 15:06:28 2006 .. nits

287 Jul 26 00:25:41 2006 .. remove useless code

286 Jul 26 00:17:26 2006 .. check aliases in perm command

285 Jul 26 00:11:50 2006 .. strip period stuff from alarm

284 Jul 24 21:42:33 2006 .. add mylist

283 Jul 24 17:39:27 2006 .. add limlist.insert

282 Jul 24 17:27:46 2006 .. add less

281 Jul 24 14:58:59 2006 .. fix option

280 Jul 23 22:37:30 2006 .. check if listname and item is provided before adding to list

279 Jul 23 21:46:38 2006 .. accept .py argument

278 Jul 23 20:53:35 2006 .. use config.set to set and save config var

277 Jul 23 20:12:09 2006 .. add wisdom plugin thnx to snore

276 Jul 23 19:30:45 2006 .. fix

275 Jul 23 19:25:29 2006 .. add list plugin

274 Jul 23 16:24:39 2006 .. remove non channels from loglist

273 Jul 23 16:16:52 2006 .. check if provided channel is indeed a channel

272 Jul 23 15:08:43 2006 .. fix users.userhosts and users.masks cache

271 Jul 23 00:22:48 2006 .. make masks work

270 Jul 22 23:40:18 2006 .. its tmp

269 Jul 22 22:55:13 2006 .. use re.escape when using re.search

268 Jul 21 17:52:48 2006 .. check if there is already a user with <nick> as username

267 Jul 21 17:04:34 2006 .. move aliascheck to trydispatch .. make 'v' a alias for version

266 Jul 21 15:07:35 2006 .. remove more ievent.options cruft

265 Jul 21 14:50:16 2006 .. fix apro

264 Jul 21 14:30:36 2006 .. we no longer have ievent.options

263 Jul 21 14:19:28 2006 .. fix aliases

262 Jul 21 13:14:06 2006 .. add comment that upgradeserver is only needed if hg repo changed

261 Jul 21 11:42:00 2006 .. move makeargrest to ircevent.py

260 Jul 21 11:22:18 2006 .. pylint

259 Jul 21 04:58:52 2006 .. fix log say monitor

258 Jul 21 04:06:52 2006 .. forth batch

257 Jul 21 03:13:03 2006 .. third batch

256 Jul 21 02:02:11 2006 .. second batch and *FIX*

255 Jul 21 00:52:55 2006 .. first batch of doc strings rewrite

254 Jul 20 23:02:29 2006 .. makes docs a little more friendlier

253 Jul 20 22:46:35 2006 .. add 1st attempt to describe the dataflow in the bot

252 Jul 20 21:11:21 2006 .. do try finally in lockdec so no matter what we unlock on exit

251 Jul 20 19:45:10 2006 .. move ievent.args and ievent.rest parsing to Plugins.dispatch() and Callback.callback()

250 Jul 20 17:46:17 2006 .. make dcctest pass

249 Jul 20 16:23:28 2006 .. remove frame

248 Jul 20 16:18:10 2006 .. move ievent.args and rest to Ircevent.parse .. remove ievent.options

247 Jul 20 15:15:53 2006 .. use re.split('\s', txt) to split on 1 space .. fix ievent.rest .. fix options

246 Jul 20 14:32:26 2006 .. MySQLdb already escapes string

245 Jul 20 12:49:13 2006 .. make nickrecapture work

244 Jul 19 14:12:55 2006 .. add invite

243 Jul 18 18:08:20 2006 .. nit

242 Jul 18 14:00:33 2006 .. beter argument name

241 Jul 18 13:31:37 2006 .. put sleep in web loop

240 Jul 18 12:05:38 2006 .. pass bot to Ircevent.parse() .. rewrite Ircevent.parse .. save config on exit

239 Jul 18 09:18:39 2006 .. skip non channels

238 Jul 18 07:27:14 2006 .. remove some unused imports .. remove bogus set method in Persist

237 Jul 18 05:55:43 2006 .. up version

236 Jul 18 05:37:54 2006 .. make ircevent RFC compatible

235 Jul 18 03:34:19 2006 .. use datadir .. use self

234 Jul 18 03:21:57 2006 .. sleep 5 seconds before rss update

233 Jul 17 18:54:01 2006 .. use i

232 Jul 17 18:52:46 2006 .. remove forced escaping of REGEXP arguments

231 Jul 17 17:29:10 2006 .. only join channels started with # .. only strip : from ievent.txt

230 Jul 17 13:21:04 2006 .. add channel option to shopping list

229 Jul 16 15:29:01 2006 .. fix

228 Jul 16 01:27:42 2006 .. update pfc

227 Jul 16 01:12:09 2006 .. set nick on changenick

226 Jul 15 23:58:39 2006 .. use ievent.txt in QUIT case

225 Jul 15 23:50:11 2006 .. add QUIT to pfc

224 Jul 15 23:35:38 2006 .. add changenick

223 Jul 15 23:32:47 2006 .. remove bots() from fleet .. add nick recapture

222 Jul 15 19:35:16 2006 .. beter reconnect

221 Jul 15 17:46:45 2006 .. add linux errno

220 Jul 15 15:36:01 2006 .. switch over to nonblocking socket

219 Jul 15 14:09:05 2006 .. add break in readloop exception handling

218 Jul 14 18:57:14 2006 .. add  JOIN and PART to the pfc

217 Jul 14 18:06:07 2006 .. use a postfixcount to determine what the postfix is

216 Jul 14 13:27:25 2006 .. add entry over myplugs directory

215 Jul 13 23:24:03 2006 .. use >> to append to log instead of replace

214 Jul 12 14:20:06 2006 .. fix ievent.missing in adressing mode

213 Jul 12 13:50:06 2006 .. use ievent.options

212 Jul 11 22:31:46 2006 .. use ievent.userhost in ratelimiter .. put lock around ratelimiter

211 Jul 11 21:27:17 2006 .. upgrade test

210 Jul 11 21:26:05 2006 .. upgrade test

209 Jul 11 21:25:26 2006 .. fix

208 Jul 11 21:24:01 2006 .. upgrade test

207 Jul 11 21:23:05 2006 .. update version on upgrade

206 Jul 11 16:14:30 2006 .. convert day string to integer

205 Jul 11 15:33:54 2006 .. sort on day of the month

204 Jul 11 12:59:47 2006 .. put sleep in relay

203 Jul 11 00:51:41 2006 .. add how=noescape

202 Jul 11 00:25:13 2006 .. set direct dispatch item separator to \n\n

201 Jul 11 00:13:50 2006 .. remove bogus focustxt

200 Jul 11 00:08:01 2006 .. don't use <br> in how=direct case

199 Jul 10 19:11:25 2006 .. support options for commands

198 Jul 10 15:45:49 2006 .. use ievent.rest

197 Jul 10 15:38:41 2006 .. lower argument

196 Jul 10 15:35:41 2006 .. add country-rev

195 Jul 09 22:08:35 2006 .. add txt about installing remote plugins

194 Jul 09 22:04:13 2006 .. make ievent argument to install function mandatory

193 Jul 06 19:44:07 2006 .. make a special case for REGEXP values

192 Jul 06 18:26:51 2006 .. really fix

191 Jul 06 14:15:57 2006 .. up version

190 Jul 06 14:14:22 2006 .. escape database strings and escape REGEXP

189 Jul 05 13:27:56 2006 .. remove debug print

188 Jul 05 13:06:58 2006 .. fix example

187 Jul 05 13:03:09 2006 .. fix relay

186 Jul 05 12:37:58 2006 .. log bot output

185 Jul 03 21:04:19 2006 .. be less verbose on quiting dcc connections

184 Jul 03 20:59:17 2006 .. add stop method .. try except on partyline socket close .. exit fleet before

183 Jul 03 16:46:34 2006 .. add upgradeurl config option and allow url argument to upgrade command

182 Jul 03 15:42:04 2006 .. fix links

181 Jul 02 20:57:29 2006 .. dont forget log

180 Jul 02 20:56:58 2006 .. be less verbose on shutdown

179 Jul 02 18:22:55 2006 .. only shutdown partylist member on bot that exits

178 Jul 02 12:18:05 2006 .. improve help command

177 Jul 01 21:40:11 2006 .. mv plugs/aliases.py to plugs/alias.py

176 Jul 01 17:28:10 2006 .. add WEB permission

175 Jul 01 16:07:33 2006 .. make Fleet.cmndall wait for results .. shutdown partyline sockets on reboot

174 Jul 01 12:08:23 2006 .. use multiple queues

173 Jun 30 05:50:42 2006 .. links data is in the plugin

172 Jun 30 04:51:48 2006 .. reshuffle

171 Jun 30 02:13:42 2006 .. fix

170 Jun 29 22:39:22 2006 .. remove links gozerbot module

169 Jun 29 22:39:02 2006 .. add links-del plus move all links data into plugin

168 Jun 29 22:15:29 2006 .. make away bot and channel sensitive

167 Jun 28 20:48:42 2006 .. add install-plug and install-list

166 Jun 28 13:27:07 2006 .. remove debug print

165 Jun 27 18:22:23 2006 .. thnx snufj

164 Jun 27 18:19:44 2006 .. add geoip

163 Jun 27 17:42:43 2006 .. remove setup.py

162 Jun 27 16:50:49 2006 .. remove revision

161 Jun 27 16:38:39 2006 .. remove __revision__

160 Jun 27 15:58:43 2006 .. strip protocol stuff

159 Jun 27 15:24:02 2006 .. unescape web data

158 Jun 26 23:13:53 2006 .. check for basic errors

157 Jun 26 16:54:10 2006 .. add gallontoliter and litertogallon

156 Jun 26 16:40:14 2006 .. show username if we already have a user with that userhost in the user

155 Jun 26 16:32:40 2006 .. add convert-list

154 Jun 26 16:23:52 2006 .. implement per conversion function call

153 Jun 25 15:03:50 2006 .. add aliases to apropos

152 Jun 25 14:46:25 2006 .. switch to gozernonfree4

151 Jun 24 12:51:39 2006 .. remove world

150 Jun 23 17:53:19 2006 .. use env

149 Jun 23 16:41:11 2006 .. fix

148 Jun 23 16:02:23 2006 .. add datadir module

147 Jun 23 15:56:38 2006 .. remove gozerbot.world plus up version

146 Jun 23 11:53:16 2006 .. remove ingoresockets hack .. skip if not init() found

145 Jun 23 11:14:09 2006 .. sleep in dcc loop

144 Jun 23 09:46:59 2006 .. loop over users if userhosts or masks cache didnt produce an user

143 Jun 23 05:35:42 2006 .. init() must return 1 for reload to succeed

142 Jun 23 05:17:20 2006 .. hmpf

141 Jun 23 04:17:24 2006 .. remove print .. use /me in case of action privmsg log

140 Jun 23 03:57:10 2006 .. split op <br>/n

139 Jun 23 03:55:19 2006 .. recognize older replies

138 Jun 23 03:49:14 2006 .. strip last empty entry

137 Jun 23 03:43:25 2006 .. check if result is not None

136 Jun 23 03:39:37 2006 .. show proper nr of nodes replied

135 Jun 23 03:31:30 2006 .. return multiple results seperated by <br>

134 Jun 23 03:01:37 2006 .. bunch of todoos

133 Jun 23 01:39:04 2006 .. fix delete

132 Jun 23 01:31:20 2006 .. add users.userhosts en users.masks

131 Jun 22 13:09:44 2006 .. add user-name command

130 Jun 20 22:38:25 2006 .. add snore

129 Jun 20 17:48:26 2006 .. remove sendraw

128 Jun 19 22:23:18 2006 .. add serkoon

127 Jun 19 17:10:01 2006 .. eck for AttributeError and KeyError

126 Jun 19 17:07:02 2006 .. plugin init() and shutdown() calls are allowed to fail

125 Jun 17 19:31:46 2006 .. fix

124 Jun 16 19:52:19 2006 .. add links

123 Jun 15 16:30:00 2006 .. add flow example .. describe ievent en bot args

122 Jun 06 09:22:40 2006 .. remove same revision check

121 May 27 16:30:12 2006 .. add MEET permission

120 May 25 15:53:39 2006 .. its time for 0.4.4

119 May 18 19:11:03 2006 .. nit

118 May 17 17:30:35 2006 .. add user-usersstatus and user-usersperm

117 May 15 21:51:47 2006 .. fix in case of 1 word responses

116 May 06 21:49:34 2006 .. fix typo

115 May 05 12:19:08 2006 .. check if txtlist has at least 2 items

114 May 04 07:39:48 2006 .. use thr.start_new_thread

113 May 03 21:08:17 2006 .. explicitly call close in geturl

112 Apr 29 20:44:22 2006 .. allow invite for OPER perm

111 Apr 28 18:42:18 2006 .. loop over result in dcc chat broadcast command

110 Apr 28 16:34:28 2006 .. make broadcast partyline collective work .. show nick in broadcast command

109 Apr 28 16:14:29 2006 .. add partyline broadcast_notself

108 Apr 27 20:26:03 2006 .. add ax

107 Apr 27 20:05:16 2006 .. strip PRIVMSG and CMND

106 Apr 27 13:29:27 2006 .. fix UPPERCASE arguments

105 Apr 26 19:37:42 2006 .. use strip

104 Apr 26 19:27:14 2006 .. up version .. show revision on startup

103 Apr 26 18:44:00 2006 .. show url

102 Apr 26 18:38:41 2006 .. use string.capwords() and check if lang is 2 chars

101 Apr 26 17:29:33 2006 .. add wikipedia

100 Apr 26 15:34:24 2006 .. check for errors in hp pull -u

99 Apr 26 14:45:14 2006 .. add split test

98 Apr 26 14:44:27 2006 .. remove sleep

97 Apr 26 14:42:48 2006 .. run callbacks in thread so it can block

96 Apr 23 14:09:34 2006 .. log less

95 Apr 21 15:48:15 2006 .. tune

94 Apr 21 15:47:10 2006 .. introduce Irchandler

93 Apr 20 20:48:39 2006 .. put backup sleep a bit later on so that the backup thread also sleeps in case of an exception

92 Apr 20 18:19:50 2006 .. default callbacks handling to threaded .. check if we are op in channel before voicing

91 Apr 19 15:06:50 2006 .. allow rss for OPER permission

90 Apr 19 13:55:17 2006 .. add url to urlget version

89 Apr 19 13:49:04 2006 .. fix version in geturl

88 Apr 19 13:20:43 2006 .. notify if hg tip command doesnt work

87 Apr 18 15:49:44 2006 .. don't delete channel in handle_part, instead do it when the !part command is

86 Apr 17 22:30:27 2006 .. skip dev/null

85 Apr 17 22:11:51 2006 .. add mailexceptions

84 Apr 17 19:22:56 2006 .. add test_alert

83 Apr 17 17:21:21 2006 .. add alarms unit test

82 Apr 17 17:21:01 2006 .. put tests in try except

81 Apr 17 16:04:01 2006 .. make tests reloadable

80 Apr 17 15:09:58 2006 .. add tests command

79 Apr 17 15:09:40 2006 .. add gozertests

78 Apr 15 21:23:08 2006 .. add sleep 0.1 incase of thread error .. fix whoquote .. show error in

77 Apr 13 16:15:16 2006 .. chech for stopreadloop in the socket timeout handling

76 Apr 13 16:11:45 2006 .. don't set stopped in shutdown

75 Apr 12 20:37:28 2006 .. called the reload function pluglistreload

74 Apr 12 20:30:56 2006 .. reload dbplugs after plugs

73 Apr 12 11:16:02 2006 .. nit

72 Apr 12 11:11:07 2006 .. check for plugins already in dbplugs

71 Apr 11 19:57:29 2006 .. nit

70 Apr 11 19:24:05 2006 .. return nr of nodes in boot() .. put web/nodes in list

69 Apr 11 18:37:50 2006 .. also return time of quote

68 Apr 11 18:32:00 2006 .. change hg url to http://r8.cg.nu/hg/gozerbot .. check for data in quote-who

67 Apr 11 13:32:56 2006 .. do ywd also for birthday dbplug

66 Apr 11 13:01:45 2006 .. beautify

65 Apr 11 12:49:23 2006 .. make elapsedstring year-weeks-days response possible

64 Apr 11 11:38:35 2006 .. show what callbacks instead of functions

63 Apr 10 21:47:05 2006 .. put socket timeout on 5 minutes

62 Apr 10 17:33:28 2006 .. reshuffle rlog levels

61 Apr 10 17:09:00 2006 .. adjust loglevels .. strip ievent.txt .. don't send \n in handle_ping

60 Apr 10 15:29:09 2006 .. over to test

59 Apr 10 15:55:31 2006 .. over to test

58 Apr 09 15:23:20 2006 .. pull polltimeout to 1 second

57 Apr 08 21:21:43 2006 .. if hg pull -u doesnt succeed then there are no changes

56 Apr 08 15:08:14 2006 .. typo

55 Apr 08 15:07:29 2006 .. only send quit msg if were connected

54 Apr 08 14:14:22 2006 .. remove weer alias

53 Apr 08 14:11:48 2006 .. put socket timeout to 15 seconds on connect

52 Apr 07 20:20:56 2006 .. svn log -rnewres:oldrev+1

51 Apr 07 20:18:20 2006 .. reset timeout

50 Apr 07 20:13:23 2006 .. send ping on socket timeout

49 Apr 07 19:17:50 2006 .. init Queue

48 Apr 07 19:15:31 2006 .. its ping()

47 Apr 07 19:14:11 2006 .. add missing continue

46 Apr 07 18:15:00 2006 .. add summary

45 Apr 07 18:13:47 2006 .. do pong check

44 Apr 07 17:36:46 2006 .. remove hg-init trick .. adjust upgrade and update

43 Apr 07 17:05:03 2006 .. dont do pongcheck .. reconnect after socket timeout .. show summaries in

42 Apr 07 16:08:14 2006 .. split on ' end '

41 Apr 06 23:49:24 2006 .. properly reset on bot.exit() .. unset self.stopped on connect

40 Apr 06 17:50:34 2006 .. wrap connect in a try except

39 Apr 06 17:11:17 2006 .. up version

38 Apr 06 17:08:15 2006 .. log error in getdata()

37 Apr 06 16:34:21 2006 .. revamp connect/reconnect code

36 Apr 06 15:24:33 2006 .. put max reconnect attempt to 5

35 Apr 06 15:06:34 2006 .. fix alias-search

34 Apr 06 14:48:56 2006 .. move loc to code-stat .. add words and chars

33 Apr 06 13:11:57 2006 .. nit

32 Apr 05 17:26:11 2006 .. bind failure is a socket.gaierror

31 Apr 05 14:46:56 2006 .. use select.poll

30 Apr 05 14:20:54 2006 .. don't set nonblocking

29 Apr 05 14:19:18 2006 .. if not using timeout quit the bot using socket.shutdown

28 Apr 05 14:12:55 2006 .. add webtimeout

27 Apr 05 14:12:20 2006 .. make timeout config-able

26 Apr 05 14:41:57 2006 .. check for .hg .. continue on socket.error

25 Apr 05 14:18:14 2006 .. check for .hg

24 Apr 05 14:10:11 2006 .. add hg related commands

23 Apr 05 13:17:50 2006 .. set sockettimeout to 1 sec .. this way server can shutdown

22 Apr 05 11:52:19 2006 .. we need shutdown so that the webserver will stop

21 Apr 04 21:59:19 2006 .. make aliases with more than one word work

20 Apr 04 21:36:22 2006 .. log what plugins we are shutting down

19 Apr 04 21:21:19 2006 .. don't do sock.shutdown()

18 Apr 04 18:41:07 2006 .. remove PROGRAMTHEBOT

17 Apr 04 18:38:09 2006 .. remove config.py~

16 Apr 04 16:19:02 2006 .. we don't use svn anymore

15 Apr 04 15:26:09 2006 .. upgrade.py test

14 Apr 04 15:25:19 2006 .. only check for dbenable if its a dbplug

13 Apr 04 15:21:38 2006 .. upgrade.py test

12 Apr 04 15:19:12 2006 .. more test

11 Apr 04 15:17:40 2006 .. test

10 Apr 04 15:12:49 2006 .. show all files

9 Apr 04 14:33:56 2006 .. coll-delnode uses a <name> now

8 Apr 04 14:20:58 2006 .. make sure name is added on ipnr:port

7 Apr 04 13:12:12 2006 .. fix

6 Apr 04 14:49:02 2006 .. test

5 Apr 04 14:08:14 2006 .. show changed files

4 Apr 04 13:51:16 2006 .. check for sys.exc_value

3 Apr 04 12:50:04 2006 .. don't init ievent.queue on copyin

2 Apr 03 22:42:47 2006 .. show hg revision in !version

1 Apr 03 22:27:18 2006 .. remove latest

0 Apr 03 22:21:55 2006 .. import

